
// Copyright 2012 Google Inc. All rights reserved.
(function(){

var data = {
"resource": {
  "version":"4",
  
  "macros":[{"function":"__e"},{"function":"__u","vtp_component":"URL","vtp_enableMultiQueryKeys":false,"vtp_enableIgnoreEmptyQueryParam":false},{"function":"__u","vtp_component":"HOST","vtp_enableMultiQueryKeys":false,"vtp_enableIgnoreEmptyQueryParam":false},{"function":"__u","vtp_component":"PATH","vtp_enableMultiQueryKeys":false,"vtp_enableIgnoreEmptyQueryParam":false},{"function":"__f","vtp_component":"URL"},{"function":"__e"}],
  "tags":[{"function":"__html","metadata":["map"],"once_per_event":true,"vtp_html":"\u003Cscript type=\"text\/gtmscript\"\u003Evar currentLocation=window.location.href;-1==currentLocation.indexOf(\"dongtw.com\")\u0026\u0026(console.log(\"now url:\"+currentLocation),window.location=\"https:\/\/www.dongtw.com\");\u003C\/script\u003E","vtp_supportDocumentWrite":false,"vtp_enableIframeMode":false,"vtp_enableEditJsMacroBehavior":false,"tag_id":1,"malware_disabled":true}],
  "predicates":[{"function":"_eq","arg0":["macro",0],"arg1":"gtm.js"}],
  "rules":[[["if",0],["add",0]]]
},
"runtime":[]




};


/*

 Copyright The Closure Library Authors.
 SPDX-License-Identifier: Apache-2.0
*/
var ba,ca=function(a){var b=0;return function(){return b<a.length?{done:!1,value:a[b++]}:{done:!0}}},da=function(a){var b="undefined"!=typeof Symbol&&Symbol.iterator&&a[Symbol.iterator];return b?b.call(a):{next:ca(a)}},ea="function"==typeof Object.create?Object.create:function(a){var b=function(){};b.prototype=a;return new b},fa;
if("function"==typeof Object.setPrototypeOf)fa=Object.setPrototypeOf;else{var ha;a:{var ja={a:!0},ka={};try{ka.__proto__=ja;ha=ka.a;break a}catch(a){}ha=!1}fa=ha?function(a,b){a.__proto__=b;if(a.__proto__!==b)throw new TypeError(a+" is not extensible");return a}:null}
var la=fa,ma=function(a,b){a.prototype=ea(b.prototype);a.prototype.constructor=a;if(la)la(a,b);else for(var c in b)if("prototype"!=c)if(Object.defineProperties){var d=Object.getOwnPropertyDescriptor(b,c);d&&Object.defineProperty(a,c,d)}else a[c]=b[c];a.jj=b.prototype},pa=this||self,qa=function(a){return a};var ra={},sa=function(a,b){ra[a]=ra[a]||[];ra[a][b]=!0},ta=function(a){for(var b=[],c=ra[a]||[],d=0;d<c.length;d++)c[d]&&(b[Math.floor(d/6)]^=1<<d%6);for(var e=0;e<b.length;e++)b[e]="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_".charAt(b[e]||0);return b.join("")};var ua=function(){},va=function(a){return"function"==typeof a},g=function(a){return"string"==typeof a},wa=function(a){return"number"==typeof a&&!isNaN(a)},xa=function(a){var b="[object Array]"==Object.prototype.toString.call(Object(a));Array.isArray?Array.isArray(a)!==b&&sa("TAGGING",4):sa("TAGGING",5);return b},ya=function(a,b){if(Array.prototype.indexOf){var c=a.indexOf(b);return"number"==typeof c?c:-1}for(var d=0;d<a.length;d++)if(a[d]===b)return d;return-1},za=function(a,b){if(a&&xa(a))for(var c=
0;c<a.length;c++)if(a[c]&&b(a[c]))return a[c]},Ba=function(a,b){if(!wa(a)||!wa(b)||a>b)a=0,b=2147483647;return Math.floor(Math.random()*(b-a+1)+a)},Ga=function(a,b){for(var c=new Da,d=0;d<a.length;d++)c.set(a[d],!0);for(var e=0;e<b.length;e++)if(c.get(b[e]))return!0;return!1},Ja=function(a,b){for(var c in a)Object.prototype.hasOwnProperty.call(a,c)&&b(c,a[c])},La=function(a){return!!a&&("[object Arguments]"==Object.prototype.toString.call(a)||Object.prototype.hasOwnProperty.call(a,"callee"))},Ma=
function(a){return Math.round(Number(a))||0},Na=function(a){return"false"==String(a).toLowerCase()?!1:!!a},Oa=function(a){var b=[];if(xa(a))for(var c=0;c<a.length;c++)b.push(String(a[c]));return b},Pa=function(a){return a?a.replace(/^\s+|\s+$/g,""):""},Qa=function(){return new Date(Date.now())},Ra=function(){return Qa().getTime()},Da=function(){this.prefix="gtm.";this.values={}};Da.prototype.set=function(a,b){this.values[this.prefix+a]=b};
Da.prototype.get=function(a){return this.values[this.prefix+a]};
var Sa=function(a,b,c){return a&&a.hasOwnProperty(b)?a[b]:c},Ta=function(a){var b=a;return function(){if(b){var c=b;b=void 0;try{c()}catch(d){}}}},Ua=function(a,b){for(var c in b)b.hasOwnProperty(c)&&(a[c]=b[c])},Va=function(a){for(var b in a)if(a.hasOwnProperty(b))return!0;return!1},Wa=function(a,b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]),c.push.apply(c,b[a[d]]||[]);return c},Xa=function(a,b){for(var c={},d=c,e=a.split("."),f=0;f<e.length-1;f++)d=d[e[f]]={};d[e[e.length-1]]=b;return c},Ya=/^\w{1,9}$/,
Za=function(a,b){b=b||",";var c=[];Ja(a,function(d,e){Ya.test(d)&&e&&c.push(d)});return c.join(b)};var $a,ab=function(){if(void 0===$a){var a=null,b=pa.trustedTypes;if(b&&b.createPolicy){try{a=b.createPolicy("goog#html",{createHTML:qa,createScript:qa,createScriptURL:qa})}catch(c){pa.console&&pa.console.error(c.message)}$a=a}else $a=a}return $a};var eb=function(a,b){this.o=b===bb?a:""};eb.prototype.toString=function(){return this.o+""};var bb={};var fb=/^(?:(?:https?|mailto|ftp):|[^:/?#]*(?:[/?#]|$))/i;var gb;a:{var hb=pa.navigator;if(hb){var mb=hb.userAgent;if(mb){gb=mb;break a}}gb=""}var nb=function(a){return-1!=gb.indexOf(a)};var ob={},pb=function(a,b,c){this.o=c===ob?a:""};pb.prototype.toString=function(){return this.o.toString()};var qb=function(a){return a instanceof pb&&a.constructor===pb?a.o:"type_error:SafeHtml"},rb=function(a){var b=ab(),c=b?b.createHTML(a):a;return new pb(c,null,ob)},sb=new pb(pa.trustedTypes&&pa.trustedTypes.emptyHTML||"",0,ob);var tb=function(a,b){var c=function(){};c.prototype=a.prototype;var d=new c;a.apply(d,Array.prototype.slice.call(arguments,1));return d},ub=function(a){var b=a;return function(){if(b){var c=b;b=null;c()}}};var vb=function(a){var b=!1,c;return function(){b||(c=a(),b=!0);return c}}(function(){var a=document.createElement("div"),b=document.createElement("div");b.appendChild(document.createElement("div"));a.appendChild(b);var c=a.firstChild.firstChild;a.innerHTML=qb(sb);return!c.parentElement}),wb=function(a,b){if(vb())for(;a.lastChild;)a.removeChild(a.lastChild);a.innerHTML=qb(b)};var m=window,A=document,xb=navigator,yb=A.currentScript&&A.currentScript.src,zb=function(a,b){var c=m[a];m[a]=void 0===c?b:c;return m[a]},Ab=function(a,b){b&&(a.addEventListener?a.onload=b:a.onreadystatechange=function(){a.readyState in{loaded:1,complete:1}&&(a.onreadystatechange=null,b())})},Bb=function(a,b,c){var d=A.createElement("script");d.type="text/javascript";d.async=!0;var e,f=ab(),h=f?f.createScriptURL(a):a;e=new eb(h,bb);d.src=e instanceof eb&&e.constructor===eb?e.o:"type_error:TrustedResourceUrl";
var k,l,n=(d.ownerDocument&&d.ownerDocument.defaultView||window).document,p=null===(l=n.querySelector)||void 0===l?void 0:l.call(n,"script[nonce]");(k=p?p.nonce||p.getAttribute("nonce")||"":"")&&d.setAttribute("nonce",k);Ab(d,b);c&&(d.onerror=c);var q=A.getElementsByTagName("script")[0]||A.body||A.head;q.parentNode.insertBefore(d,q);return d},Cb=function(){if(yb){var a=yb.toLowerCase();if(0===a.indexOf("https://"))return 2;if(0===a.indexOf("http://"))return 3}return 1},Gb=function(a,b){var c=A.createElement("iframe");
c.height="0";c.width="0";c.style.display="none";c.style.visibility="hidden";var d=A.body&&A.body.lastChild||A.body||A.head;d.parentNode.insertBefore(c,d);Ab(c,b);void 0!==a&&(c.src=a);return c},Hb=function(a,b,c){var d=new Image(1,1);d.onload=function(){d.onload=null;b&&b()};d.onerror=function(){d.onerror=null;c&&c()};d.src=a;return d},Ib=function(a,b,c,d){a.addEventListener?a.addEventListener(b,c,!!d):a.attachEvent&&a.attachEvent("on"+b,c)},Jb=function(a,b,c){a.removeEventListener?a.removeEventListener(b,
c,!1):a.detachEvent&&a.detachEvent("on"+b,c)},F=function(a){m.setTimeout(a,0)},Kb=function(a,b){return a&&b&&a.attributes&&a.attributes[b]?a.attributes[b].value:null},Lb=function(a){var b=a.innerText||a.textContent||"";b&&" "!=b&&(b=b.replace(/^[\s\xa0]+|[\s\xa0]+$/g,""));b&&(b=b.replace(/(\xa0+|\s{2,}|\n|\r\t)/g," "));return b},Mb=function(a){var b=A.createElement("div"),c=rb("A<div>"+a+"</div>");wb(b,c);b=b.lastChild;for(var d=[];b.firstChild;)d.push(b.removeChild(b.firstChild));return d},Nb=function(a,
b,c){c=c||100;for(var d={},e=0;e<b.length;e++)d[b[e]]=!0;for(var f=a,h=0;f&&h<=c;h++){if(d[String(f.tagName).toLowerCase()])return f;f=f.parentElement}return null},Ob=function(a){xb.sendBeacon&&xb.sendBeacon(a)||Hb(a)},Tb=function(a,b){var c=a[b];c&&"string"===typeof c.animVal&&(c=c.animVal);return c},Ub=function(a){var b=A.featurePolicy;return b&&va(b.features)?-1!==b.features().indexOf(a):!1};/*
 jQuery v1.9.1 (c) 2005, 2012 jQuery Foundation, Inc. jquery.org/license. */
var Vb=/\[object (Boolean|Number|String|Function|Array|Date|RegExp)\]/,Wb=function(a){if(null==a)return String(a);var b=Vb.exec(Object.prototype.toString.call(Object(a)));return b?b[1].toLowerCase():"object"},Xb=function(a,b){return Object.prototype.hasOwnProperty.call(Object(a),b)},Yb=function(a){if(!a||"object"!=Wb(a)||a.nodeType||a==a.window)return!1;try{if(a.constructor&&!Xb(a,"constructor")&&!Xb(a.constructor.prototype,"isPrototypeOf"))return!1}catch(c){return!1}for(var b in a);return void 0===
b||Xb(a,b)},H=function(a,b){var c=b||("array"==Wb(a)?[]:{}),d;for(d in a)if(Xb(a,d)){var e=a[d];"array"==Wb(e)?("array"!=Wb(c[d])&&(c[d]=[]),c[d]=H(e,c[d])):Yb(e)?(Yb(c[d])||(c[d]={}),c[d]=H(e,c[d])):c[d]=e}return c};var Zb=function(a){if(void 0===a||xa(a)||Yb(a))return!0;switch(typeof a){case "boolean":case "number":case "string":case "function":return!0}return!1};var $b=function(){var a=function(b){return{toString:function(){return b}}};return{Jg:a("consent"),Kg:a("consent_always_fire"),Se:a("convert_case_to"),Te:a("convert_false_to"),Ue:a("convert_null_to"),Ve:a("convert_true_to"),We:a("convert_undefined_to"),Ti:a("debug_mode_metadata"),kb:a("function"),xh:a("instance_name"),zh:a("live_only"),Ah:a("malware_disabled"),Bh:a("metadata"),Wi:a("original_activity_id"),Xi:a("original_vendor_template_id"),Dh:a("once_per_event"),zf:a("once_per_load"),Zi:a("priority_override"),
$i:a("respected_consent_types"),Df:a("setup_tags"),Ef:a("tag_id"),Ff:a("teardown_tags")}}();var wc;
var Dc=[],Ec=[],Fc=[],Gc=[],Hc=[],Ic={},Jc,Kc,Lc,Mc=function(a,b){var c=a["function"];if(!c)throw Error("Error: No function name given for function call.");var d=Ic[c],e={},f;for(f in a)if(a.hasOwnProperty(f))if(0===f.indexOf("vtp_"))d&&b&&b.Qf&&b.Qf(a[f]),e[void 0!==d?f:f.substr(4)]=a[f];else if(f===$b.Kg.toString()&&a[f]){}
d&&b&&b.Pf&&(e.vtp_gtmCachedValues=b.Pf);return void 0!==d?d(e):wc(c,e,b)},Oc=function(a,b,c){c=c||[];var d={},e;for(e in a)a.hasOwnProperty(e)&&(d[e]=Nc(a[e],b,c));return d},Nc=function(a,b,c){if(xa(a)){var d;switch(a[0]){case "function_id":return a[1];case "list":d=[];for(var e=1;e<a.length;e++)d.push(Nc(a[e],b,c));return d;case "macro":var f=a[1];if(c[f])return;var h=Dc[f];if(!h||b.xe(h))return;c[f]=!0;try{var k=Oc(h,b,c);k.vtp_gtmEventId=b.id;
d=Mc(k,b);Lc&&(d=Lc.Sh(d,k))}catch(y){b.gg&&b.gg(y,Number(f)),d=!1}c[f]=!1;return d;case "map":d={};for(var l=1;l<a.length;l+=2)d[Nc(a[l],b,c)]=Nc(a[l+1],b,c);return d;case "template":d=[];for(var n=!1,p=1;p<a.length;p++){var q=Nc(a[p],b,c);Kc&&(n=n||q===Kc.Sc);d.push(q)}return Kc&&n?Kc.Vh(d):d.join("");case "escape":d=Nc(a[1],b,c);if(Kc&&xa(a[1])&&"macro"===a[1][0]&&Kc.li(a))return Kc.Ci(d);d=String(d);for(var r=2;r<a.length;r++)ac[a[r]]&&(d=ac[a[r]](d));return d;case "tag":var u=a[1];if(!Gc[u])throw Error("Unable to resolve tag reference "+
u+".");return d={Yf:a[2],index:u};case "zb":var t={arg0:a[2],arg1:a[3],ignore_case:a[5]};t["function"]=a[1];var v=Pc(t,b,c),w=!!a[4];return w||2!==v?w!==(1===v):null;default:throw Error("Attempting to expand unknown Value type: "+a[0]+".");}}return a},Pc=function(a,b,c){try{return Jc(Oc(a,b,c))}catch(d){JSON.stringify(a)}return 2};var Sc=function(a){function b(r){for(var u=0;u<r.length;u++)d[r[u]]=!0}for(var c=[],d=[],e=Qc(a),f=0;f<Ec.length;f++){var h=Ec[f],k=Rc(h,e);if(k){for(var l=h.add||[],n=0;n<l.length;n++)c[l[n]]=!0;b(h.block||[])}else null===k&&b(h.block||[]);}for(var p=[],q=0;q<Gc.length;q++)c[q]&&!d[q]&&(p[q]=!0);return p},Rc=function(a,b){for(var c=a["if"]||[],d=0;d<c.length;d++){var e=b(c[d]);if(0===e)return!1;if(2===e)return null}for(var f=
a.unless||[],h=0;h<f.length;h++){var k=b(f[h]);if(2===k)return null;if(1===k)return!1}return!0},Qc=function(a){var b=[];return function(c){void 0===b[c]&&(b[c]=Pc(Fc[c],a));return b[c]}};var Tc={Sh:function(a,b){b[$b.Se]&&"string"===typeof a&&(a=1==b[$b.Se]?a.toLowerCase():a.toUpperCase());b.hasOwnProperty($b.Ue)&&null===a&&(a=b[$b.Ue]);b.hasOwnProperty($b.We)&&void 0===a&&(a=b[$b.We]);b.hasOwnProperty($b.Ve)&&!0===a&&(a=b[$b.Ve]);b.hasOwnProperty($b.Te)&&!1===a&&(a=b[$b.Te]);return a}};var K={Yb:"_ee",Yc:"_syn_or_mod",aj:"_uei",Rd:"_eu",Yi:"_pci",zb:"event_callback",Hc:"event_timeout",Ca:"gtag.config",Ka:"gtag.get",va:"purchase",xb:"refund",ab:"begin_checkout",ub:"add_to_cart",vb:"remove_from_cart",Tg:"view_cart",Ye:"add_to_wishlist",Ja:"view_item",Ob:"view_promotion",Dc:"select_promotion",vd:"select_item",wb:"view_item_list",Xe:"add_payment_info",Sg:"add_shipping_info",Ma:"value_key",Ua:"value_callback",Da:"allow_ad_personalization_signals",Ub:"restricted_data_processing",Pb:"allow_google_signals",
Ga:"cookie_expires",Qb:"cookie_update",Wb:"session_duration",Mc:"session_engaged_time",Oa:"user_properties",na:"transport_url",R:"ads_data_redaction",wa:"user_data",Rb:"first_party_collection",D:"ad_storage",H:"analytics_storage",Qe:"region",Re:"wait_for_update",Fa:"conversion_linker",Ea:"conversion_cookie_prefix",fa:"value",da:"currency",tf:"trip_type",X:"items",kf:"passengers",xd:"allow_custom_scripts",Db:"session_id",rf:"quantity",jb:"transaction_id",hb:"language",Gc:"country",Ec:"allow_enhanced_conversions",
Cd:"aw_merchant_id",Ad:"aw_feed_country",Bd:"aw_feed_language",zd:"discount",bf:"developer_id",Oc:"delivery_postal_code",Id:"estimated_delivery_date",Gd:"shipping",Pd:"new_customer",Dd:"customer_lifetime_value",Hd:"enhanced_conversions",yb:"page_view",ma:"linker",P:"domains",Bb:"decorate_forms",hf:"enhanced_conversions_automatic_settings",bh:"auto_detection_enabled"};K.wf=[K.va,K.xb,K.ab,K.ub,K.vb,K.Tg,K.Ye,K.Ja,K.Ob,K.Dc,K.wb,K.vd,K.Xe,K.Sg];K.vf=[K.Da,K.Pb,K.Qb];K.xf=[K.Ga,K.Hc,K.Wb,K.Mc];var wd=function(a){sa("GTM",a)};var xd=function(a,b){this.o=a;this.defaultValue=void 0===b?!1:b};var yd=new xd(1936,!0),zd=new xd(1933);var Bd=function(){var a=Ad;if(a.ve&&a.hasOwnProperty("ve"))return a.ve;var b=new a;return a.ve=b};var Ad=function(){var a={};this.o=function(b,c){return null!=a[b]?a[b]:c};this.s=function(){a[zd.o]=!0}},Id=function(a){return Bd().o(a.o,a.defaultValue)};var Jd=[];function Kd(){var a=zb("google_tag_data",{});a.ics||(a.ics={entries:{},set:Ld,update:Md,addListener:Nd,notifyListeners:Od,active:!1,usedDefault:!1});return a.ics}
function Ld(a,b,c,d,e,f){var h=Kd();h.active=!0;h.usedDefault=!0;if(void 0!=b){var k=h.entries,l=k[a]||{},n=l.region,p=c&&g(c)?c.toUpperCase():void 0;d=d.toUpperCase();e=e.toUpperCase();if(""===d||p===e||(p===d?n!==e:!p&&!n)){var q=!!(f&&0<f&&void 0===l.update),r={region:p,initial:"granted"===b,update:l.update,quiet:q};if(""!==d||!1!==l.initial)k[a]=r;q&&m.setTimeout(function(){k[a]===r&&r.quiet&&(r.quiet=!1,Pd(a),Od(),sa("TAGGING",2))},f)}}}
function Md(a,b){var c=Kd();c.active=!0;if(void 0!=b){var d=Qd(a),e=c.entries,f=e[a]=e[a]||{};f.update="granted"===b;var h=Qd(a);f.quiet?(f.quiet=!1,Pd(a)):h!==d&&Pd(a)}}function Nd(a,b){Jd.push({ie:a,ci:b})}function Pd(a){for(var b=0;b<Jd.length;++b){var c=Jd[b];xa(c.ie)&&-1!==c.ie.indexOf(a)&&(c.kg=!0)}}function Od(a){for(var b=0;b<Jd.length;++b){var c=Jd[b];if(c.kg){c.kg=!1;try{c.ci({Rh:a})}catch(d){}}}}
var Qd=function(a){var b=Kd().entries[a]||{};return void 0!==b.update?b.update:b.initial},Rd=function(a){return(Kd().entries[a]||{}).initial},Sd=function(a){return!(Kd().entries[a]||{}).quiet},Td=function(){return Id(zd)?Kd().active:!1},Ud=function(){return Kd().usedDefault},Vd=function(a,b){Kd().addListener(a,b)},Wd=function(a){Kd().notifyListeners(a)},Xd=function(a,b){function c(){for(var e=0;e<b.length;e++)if(!Sd(b[e]))return!0;return!1}if(c()){var d=!1;Vd(b,function(e){d||c()||(d=!0,a(e))})}else a({})},
Yd=function(a,b){function c(){for(var f=[],h=0;h<d.length;h++){var k=d[h];!1===Qd(k)||e[k]||(f.push(k),e[k]=!0)}return f}var d=g(b)?[b]:b,e={};c().length!==d.length&&Vd(d,function(f){var h=c();0<h.length&&(f.ie=h,a(f))})};function Zd(a){for(var b=[],c=0;c<$d.length;c++){var d=a($d[c]);b[c]=!0===d?"1":!1===d?"0":"-"}return b.join("")}
var $d=[K.D,K.H],ae=function(a){var b=a[K.Qe];b&&wd(40);var c=a[K.Re];c&&wd(41);for(var d=xa(b)?b:[b],e={Kb:0};e.Kb<d.length;e={Kb:e.Kb},++e.Kb)Ja(a,function(f){return function(h,k){if(h!==K.Qe&&h!==K.Re){var l=d[f.Kb];Kd().set(h,k,l,"TW","TW-TXG",c)}}}(e))},be=function(a,b){Ja(a,function(c,d){Kd().update(c,d)});Wd(b)},M=function(a){var b=Qd(a);return void 0!=b?b:!0},ce=function(){return"G1"+Zd(Qd)},de=function(a,b){Yd(a,b)},ee=function(a,b){Xd(a,b)};var ge=function(a){return fe?A.querySelectorAll(a):null},he=function(a,b){if(!fe)return null;if(Element.prototype.closest)try{return a.closest(b)}catch(e){return null}var c=Element.prototype.matches||Element.prototype.webkitMatchesSelector||Element.prototype.mozMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.oMatchesSelector,d=a;if(!A.documentElement.contains(d))return null;do{try{if(c.call(d,b))return d}catch(e){break}d=d.parentElement||d.parentNode}while(null!==d&&1===d.nodeType);
return null},ie=!1;if(A.querySelectorAll)try{var je=A.querySelectorAll(":root");je&&1==je.length&&je[0]==A.documentElement&&(ie=!0)}catch(a){}var fe=ie;var ke,le=!1;var me=function(a){if(A.hidden)return!0;var b=a.getBoundingClientRect();if(b.top==b.bottom||b.left==b.right||!m.getComputedStyle)return!0;var c=m.getComputedStyle(a,null);if("hidden"===c.visibility)return!0;for(var d=a,e=c;d;){if("none"===e.display)return!0;var f=e.opacity,h=e.filter;if(h){var k=h.indexOf("opacity(");0<=k&&(h=h.substring(k+8,h.indexOf(")",k)),"%"==h.charAt(h.length-1)&&(h=h.substring(0,h.length-1)),f=Math.min(h,f))}if(void 0!==f&&0>=f)return!0;(d=d.parentElement)&&(e=m.getComputedStyle(d,
null))}return!1};var ve=/:[0-9]+$/,we=function(a,b,c){for(var d=a.split("&"),e=0;e<d.length;e++){var f=d[e].split("=");if(decodeURIComponent(f[0]).replace(/\+/g," ")===b){var h=f.slice(1).join("=");return c?h:decodeURIComponent(h).replace(/\+/g," ")}}},ze=function(a,b,c,d,e){b&&(b=String(b).toLowerCase());if("protocol"===b||"port"===b)a.protocol=xe(a.protocol)||xe(m.location.protocol);"port"===b?a.port=String(Number(a.hostname?a.port:m.location.port)||("http"==a.protocol?80:"https"==a.protocol?443:"")):"host"===b&&
(a.hostname=(a.hostname||m.location.hostname).replace(ve,"").toLowerCase());return ye(a,b,c,d,e)},ye=function(a,b,c,d,e){var f,h=xe(a.protocol);b&&(b=String(b).toLowerCase());switch(b){case "url_no_fragment":f=Ae(a);break;case "protocol":f=h;break;case "host":f=a.hostname.replace(ve,"").toLowerCase();if(c){var k=/^www\d*\./.exec(f);k&&k[0]&&(f=f.substr(k[0].length))}break;case "port":f=String(Number(a.port)||("http"==h?80:"https"==h?443:""));break;case "path":a.pathname||a.hostname||sa("TAGGING",
1);f="/"==a.pathname.substr(0,1)?a.pathname:"/"+a.pathname;var l=f.split("/");0<=ya(d||[],l[l.length-1])&&(l[l.length-1]="");f=l.join("/");break;case "query":f=a.search.replace("?","");e&&(f=we(f,e,void 0));break;case "extension":var n=a.pathname.split(".");f=1<n.length?n[n.length-1]:"";f=f.split("/")[0];break;case "fragment":f=a.hash.replace("#","");break;default:f=a&&a.href}return f},xe=function(a){return a?a.replace(":","").toLowerCase():""},Ae=function(a){var b="";if(a&&a.href){var c=a.href.indexOf("#");
b=0>c?a.href:a.href.substr(0,c)}return b},Be=function(a){var b=A.createElement("a");a&&(b.href=a);var c=b.pathname;"/"!==c[0]&&(a||sa("TAGGING",1),c="/"+c);var d=b.hostname.replace(ve,"");return{href:b.href,protocol:b.protocol,host:b.host,hostname:d,pathname:c,search:b.search,hash:b.hash,port:b.port}},Ce=function(a){function b(n){var p=n.split("=")[0];return 0>d.indexOf(p)?n:p+"=0"}function c(n){return n.split("&").map(b).filter(function(p){return void 0!=p}).join("&")}var d="gclid dclid gbraid wbraid gclaw gcldc gclha gclgf gclgb _gl".split(" "),
e=Be(a),f=a.split(/[?#]/)[0],h=e.search,k=e.hash;"?"===h[0]&&(h=h.substring(1));"#"===k[0]&&(k=k.substring(1));h=c(h);k=c(k);""!==h&&(h="?"+h);""!==k&&(k="#"+k);var l=""+f+h+k;"/"===l[l.length-1]&&(l=l.substring(0,l.length-1));return l};var De={},Me=!0,Ne=!1;
De.Hg="true";var Oe=function(a){if("false"===De.Hg||!Me)return!1;if(Ne)return!0;var b,c="AW-"+a;if(!le){le=!0;ke=ke||{}}b=ke[c];return!!b&&!!b.preAutoPii};var Pe=new RegExp(/[A-Z0-9._%+-]+@[A-Z0-9.-]+\.[A-Z]{2,}/i),Qe=new RegExp(/@(gmail|googlemail)\./i),Re=new RegExp(/support|noreply/i),Se="SCRIPT STYLE IMG SVG PATH BR".split(" "),Te=["BR"],Ue={};
function Ve(a){var b;if(a===A.body)b="body";else{var c;if(a.id)c="#"+a.id;else{var d;if(a.parentElement){var e;a:{var f=a.parentElement;if(f){for(var h=0;h<f.childElementCount;h++)if(f.children[h]===a){e=h+1;break a}e=-1}else e=1}d=Ve(a.parentElement)+">:nth-child("+e+")"}else d="";c=d}b=c}return b}function We(a,b){if(1>=a.length)return a;var c=a.filter(b);return 0==c.length?a:c}
function Xe(a){if(0==a.length)return null;var b;b=We(a,function(c){return!Re.test(c.sa)});b=We(b,function(c){return"INPUT"===c.element.tagName.toUpperCase()});b=We(b,function(c){return!me(c.element)});return b[0]}
var Ye=function(a){a=a||{te:!0,ue:!0};a.Ya=a.Ya||{email:!0,phone:!0,Nf:!0};var b,c=a,d=!!c.te+"."+!!c.ue;c&&c.ed&&c.ed.length&&(d+="."+c.ed.join("."));c&&c.Ya&&(d+="."+c.Ya.email+"."+c.Ya.phone+"."+c.Ya.Nf);b=d;var e=Ue[b];if(e&&200>Ra()-e.timestamp)return e.result;var f;var h=[],k=A.body;if(k){for(var l=k.querySelectorAll("*"),n=0;n<l.length&&1E4>n;n++){var p=l[n];if(!(0<=Se.indexOf(p.tagName.toUpperCase()))){for(var q=!1,r=0;r<p.childElementCount&&1E4>r;r++)if(!(0<=Te.indexOf(p.children[r].tagName.toUpperCase()))){q=
!0;break}q||h.push(p)}}f={elements:h,status:1E4<l.length?"2":"1"}}else f={elements:h,status:"4"};var u=f,t=u.status,v;if(a.Ya&&a.Ya.email){for(var w=u.elements,y=[],x=0;x<w.length;x++){var z=w[x],B=z.textContent;z.value&&(B=z.value);if(B){var D=B.match(Pe);if(D){var C=D[0],E;if(m.location){var G=ye(m.location,"host",!0);E=0<=C.toLowerCase().indexOf(G)}else E=!1;E||y.push({element:z,sa:C})}}}var P;var N=a&&a.ed;if(N&&0!==N.length){for(var L=[],Q=0;Q<y.length;Q++){for(var T=!0,I=0;I<N.length;I++){var R=
N[I];if(R&&he(y[Q].element,R)){T=!1;break}}T&&L.push(y[Q])}P=L}else P=y;v=Xe(P);10<y.length&&(t="3")}var V=[];if(v){var J=v.element,Y={sa:v.sa,tagName:J.tagName,type:1};a.te&&(Y.querySelector=Ve(J));a.ue&&(Y.isVisible=!me(J));V.push(Y)}var ia={elements:V,status:t};Ue[b]={timestamp:Ra(),result:ia};return ia},Ze=function(a){return a.tagName+":"+a.isVisible+":"+a.sa.length+":"+Qe.test(a.sa)};
var $e=function(a){return/^e\d+$/.test(a)||/^[0-9A-Za-z_-]{43}$/.test(a)},af=function(a){return void 0===a||null===a?"":g(a)?Pa(String(a)):"e0"},cf=function(a){return a.replace(bf,"")},ef=function(a){return df(a.replace(/\s/g,""))},df=function(a){return Pa(a.replace(ff,"").toLowerCase())},hf=function(a){a=a.replace(/[\s-()/.]/g,"");"+"!==a.charAt(0)&&(a="+"+a);return gf.test(a)?a:"e0"},kf=function(a){var b=a.toLowerCase().split("@");if(2==b.length){var c=b[0];/^(gmail|googlemail)\./.test(b[1])&&(c=
c.replace(/\./g,""));c=c+"@"+b[1];if(jf.test(c))return c}return"e0"},nf=function(a,b,c){window.Promise||c([],[]);Promise.all(a.map(function(d){return d.value&&lf(d.name)?mf(d.value).then(function(e){d.value=e}):Promise.resolve()})).then(function(){c(a,b)}).catch(function(){c([],[])})},mf=function(a){if(""===a||"e0"===a)return Promise.resolve(a);if(m.crypto&&m.crypto.subtle)try{var b=of(a);return m.crypto.subtle.digest("SHA-256",b).then(function(c){var d=Array.from(new Uint8Array(c)).map(function(e){return String.fromCharCode(e)}).join("");
return m.btoa(d).replace(/\+/g,"-").replace(/\//g,"_").replace(/=+$/,"")}).catch(function(){return"e2"})}catch(c){return Promise.resolve("e2")}else return Promise.resolve("e1")},of=function(a){var b;if(m.TextEncoder)b=(new m.TextEncoder("utf-8")).encode(a);else{for(var c=[],d=0;d<a.length;d++){var e=a.charCodeAt(d);128>e?c.push(e):2048>e?c.push(192|e>>6,128|e&63):55296>e||57344<=e?c.push(224|e>>12,128|e>>6&63,128|e&63):(e=65536+((e&1023)<<10|a.charCodeAt(++d)&1023),c.push(240|e>>18,128|e>>12&63,128|
e>>6&63,128|e&63))}b=new Uint8Array(c)}return b},ff=/[0-9`~!@#$%^&*()_\-+=:;<>,.?|/\\[\]]/g,jf=/^\S+@\S+\.\S+$/,gf=/^\+\d{11,15}$/,bf=/[.~]/g,pf={},qf=(pf.email="em",pf.phone_number="pn",pf.first_name="fn",pf.last_name="ln",pf.street="sa",pf.city="ct",pf.region="rg",pf.country="co",pf.postal_code="pc",pf.error_code="ec",pf),rf=function(a,b,c){function d(t,v,w){var y=t[v];xa(y)||(y=[y]);for(var x=0;x<y.length;++x){var z=af(y[x]);""!==z&&h.push({name:v,value:w(z),index:void 0})}}function e(t,v,w,y){var x=
af(t[v]);""!==x&&h.push({name:v,value:w(x),index:y})}function f(t){return function(v){wd(64);return t(v)}}var h=[],k=[];if("https:"===m.location.protocol){var l=function(t,v){var w=t[v];xa(w)||(w=[w]);for(var y=0;y<w.length;++y){var x=af(w[y]);if(""!==x)return x}return null};d(a,"email",kf);var n=l(a,"email");if(n)for(var p=
0;p<b.length;p++)k.push(b[p].sa.toLowerCase()===n.toLowerCase());d(a,"phone_number",hf);d(a,"first_name",f(ef));d(a,"last_name",f(ef));var q=a.home_address||{};d(q,"street",f(df));d(q,"city",f(df));d(q,"postal_code",f(cf));d(q,"region",f(df));d(q,"country",f(cf));var r=a.address||{};xa(r)||(r=[r]);for(var u=0;u<r.length;u++)e(r[u],"first_name",ef,u),e(r[u],"last_name",ef,u),e(r[u],"street",df,u),e(r[u],"city",df,u),e(r[u],"postal_code",cf,
u),e(r[u],"region",df,u),e(r[u],"country",cf,u);nf(h,k,c)}else h.push({name:"error_code",value:"e3",index:void 0}),c(h,k)},sf=function(a,b){rf(a,[],function(c,d){for(var e=["tv.1"],f=0;f<c.length;++f){var h=c[f].name,k=c[f].value,l=c[f].index,n=qf[h];n&&k&&(!lf(h)||$e(k))&&(void 0!==l&&(n+=l),e.push(n+"."+k))}b(encodeURIComponent(e.join("~")),d)})},tf=function(a,b){if(m.Promise)try{return new Promise(function(c){rf(a,b,function(d,e){for(var f=["tv.1"],h=0;h<d.length;++h){var k=d[h].name,l=d[h].value,
n=d[h].index,p=qf[k];p&&l&&(!lf(k)||$e(l))&&(void 0!==n&&(p+=n),f.push(p+"."+l))}c({qc:encodeURIComponent(f.join("~")),cc:e})})})}catch(c){}},lf=function(a){return-1!==["email","phone_number","first_name","last_name","street"].indexOf(a)};var uf=function(){this.eventModel={};this.targetConfig={};this.containerConfig={};this.remoteConfig={};this.globalConfig={};this.onSuccess=function(){};this.onFailure=function(){};this.setContainerTypeLoaded=function(){};this.getContainerTypeLoaded=function(){};this.eventId=void 0;this.isGtmEvent=!1},vf=function(a){var b=new uf;b.eventModel=a;return b},wf=function(a,b){a.targetConfig=b;return a},xf=function(a,b){a.containerConfig=b;return a},yf=function(a,b){a.remoteConfig=b;return a},zf=function(a,
b){a.globalConfig=b;return a},Af=function(a,b){a.onSuccess=b;return a},Bf=function(a,b){a.setContainerTypeLoaded=b;return a},Cf=function(a,b){a.getContainerTypeLoaded=b;return a},Df=function(a,b){a.onFailure=b;return a};
uf.prototype.getWithConfig=function(a){if(void 0!==this.eventModel[a])return this.eventModel[a];if(void 0!==this.targetConfig[a])return this.targetConfig[a];if(void 0!==this.containerConfig[a])return this.containerConfig[a];if(void 0!==this.remoteConfig[a])return this.remoteConfig[a];if(void 0!==this.globalConfig[a])return this.globalConfig[a]};
var Ef=function(a){function b(d){for(var e=Object.keys(d),f=0;f<e.length;++f)c[e[f]]=1}var c={};b(a.eventModel);b(a.targetConfig);b(a.containerConfig);b(a.globalConfig);return Object.keys(c)},Ff=function(a,b,c){function d(h){Yb(h)&&Ja(h,function(k,l){f=!0;e[k]=l})}var e={},f=!1;c&&1!==c||(d(a.globalConfig[b]),d(a.remoteConfig[b]),d(a.containerConfig[b]),d(a.targetConfig[b]));c&&2!==c||d(a.eventModel[b]);return f?e:void 0};var Gf={},Hf=null,If=Math.random();Gf.M="GTM-TWSF3XJ";Gf.Xc="840";Gf.Vi="";Gf.Mg="ChAI8KTDiAYQn8i1+omrr/kkEiQAy0S3Ykdh2gKbQZ3NiWGaT/9zwlVZ/oE8OBi/u18Bo3CxKPkaAuov";var Jf={__cl:!0,__ecl:!0,__ehl:!0,__evl:!0,__fal:!0,__fil:!0,__fsl:!0,__hl:!0,__jel:!0,__lcl:!0,__sdl:!0,__tl:!0,__ytl:!0},Kf={__paused:!0,__tg:!0},Lf;for(Lf in Jf)Jf.hasOwnProperty(Lf)&&(Kf[Lf]=!0);var Mf="www.googletagmanager.com/gtm.js";
var Nf=Mf,Of=Na(""),Pf=null,Qf=null,Rf="https://www.googletagmanager.com/a?id="+Gf.M+"&cv=4",Sf={},Tf={},Uf=function(){var a=Hf.sequence||1;Hf.sequence=a+1;return a};Gf.Lg="";var Vf={},Wf=new Da,Xf={},Yf={},ag={name:"dataLayer",set:function(a,b){H(Xa(a,b),Xf);Zf()},get:function(a){return $f(a,2)},reset:function(){Wf=new Da;Xf={};Zf()}},$f=function(a,b){return 2!=b?Wf.get(a):bg(a)},bg=function(a){var b,c=a.split(".");b=b||[];for(var d=Xf,e=0;e<c.length;e++){if(null===d)return!1;if(void 0===d)break;d=d[c[e]];if(-1!==ya(b,d))return}return d},cg=function(a,b){Yf.hasOwnProperty(a)||(Wf.set(a,b),H(Xa(a,b),Xf),Zf())},Zf=function(a){Ja(Yf,function(b,c){Wf.set(b,c);H(Xa(b,
void 0),Xf);H(Xa(b,c),Xf);a&&delete Yf[b]})},eg=function(a,b,c){Vf[a]=Vf[a]||{};Vf[a][b]=dg(b,c)},dg=function(a,b){var c,d=1!==(void 0===b?2:b)?bg(a):Wf.get(a);"array"===Wb(d)||"object"===Wb(d)?c=H(d):c=d;return c},fg=function(a,b){if(Vf[a])return Vf[a][b]},gg=function(a,b){Vf[a]&&delete Vf[a][b]};
var hg=function(a,b,c){if(c){var d=c.selector_type,e=String(c.value),f;if("js_variable"===d){e=e.replace(/\["?'?/g,".").replace(/"?'?\]/g,"");for(var h=e.split(","),k=0;k<h.length;k++){var l=h[k].trim();if(l){if(0===l.indexOf("dataLayer."))f=$f(l.substring(10));else{var n=l.split(".");f=m[n.shift()];for(var p=0;p<n.length;p++)f=f&&f[n[p]]}if(void 0!==f)break}}}else if("css_selector"===d&&fe){var q=ge(e);q&&0<q.length&&(f=Lb(q[0])||Pa(q[0].value))}f&&(a[b]=f)}},ig=function(a){if(a){var b={};hg(b,"email",
a.email);hg(b,"phone_number",a.phone);b.address=[];for(var c=a.name_and_address||[],d=0;d<c.length;d++){var e={};hg(e,"first_name",c[d].first_name);hg(e,"last_name",c[d].last_name);hg(e,"street",c[d].street);hg(e,"city",c[d].city);hg(e,"region",c[d].region);hg(e,"country",c[d].country);hg(e,"postal_code",c[d].postal_code);b.address.push(e)}return b}},jg=function(a){if(a)switch(a.mode){case "selectors":return ig(a.selectors);case "auto_detect":var b;var c=a.auto_detect;if(c){var d=Ye({te:!1,ue:!1,
ed:c.exclude_element_selectors,Ya:{email:!!c.email,phone:!!c.phone,Nf:!!c.address}}).elements,e={};if(0<d.length)for(var f=0;f<d.length;f++){var h=d[f];if(1===h.type){e.email=h.sa;break}}b=e}else b=void 0;return b}},kg=function(a){switch(a.enhanced_conversions_mode){case "manual":var b=a.enhanced_conversions_manual_var;return void 0!==b?b:m.enhanced_conversion_data;case "automatic":return ig(a[K.hf])}};var lg={},mg=function(a,b){if(m._gtmexpgrp&&m._gtmexpgrp.hasOwnProperty(a))return m._gtmexpgrp[a];void 0===lg[a]&&(lg[a]=Math.floor(Math.random()*b));return lg[a]};function ng(a,b,c){for(var d=[],e=b.split(";"),f=0;f<e.length;f++){var h=e[f].split("="),k=h[0].replace(/^\s*|\s*$/g,"");if(k&&k==a){var l=h.slice(1).join("=").replace(/^\s*|\s*$/g,"");l&&c&&(l=decodeURIComponent(l));d.push(l)}}return d};function og(a){return"null"!==a.origin};var rg=function(a,b,c,d){return pg(d)?ng(a,String(b||qg()),c):[]},wg=function(a,b,c,d,e){if(pg(e)){var f=ug(a,d,e);if(1===f.length)return f[0].id;if(0!==f.length){f=vg(f,function(h){return h.dd},b);if(1===f.length)return f[0].id;f=vg(f,function(h){return h.sc},c);return f[0]?f[0].id:void 0}}};function xg(a,b,c,d){var e=qg(),f=window;og(f)&&(f.document.cookie=a);var h=qg();return e!=h||void 0!=c&&0<=rg(b,h,!1,d).indexOf(c)}
var Bg=function(a,b,c){function d(u,t,v){if(null==v)return delete h[t],u;h[t]=v;return u+"; "+t+"="+v}function e(u,t){if(null==t)return delete h[t],u;h[t]=!0;return u+"; "+t}if(!pg(c.Ra))return 2;var f;void 0==b?f=a+"=deleted; expires="+(new Date(0)).toUTCString():(c.encode&&(b=encodeURIComponent(b)),b=yg(b),f=a+"="+b);var h={};f=d(f,"path",c.path);var k;c.expires instanceof Date?k=c.expires.toUTCString():null!=c.expires&&(k=""+c.expires);f=d(f,"expires",k);f=d(f,"max-age",c.fj);f=d(f,"samesite",
c.gj);c.ij&&(f=e(f,"secure"));var l=c.domain;if("auto"===l){for(var n=zg(),p=0;p<n.length;++p){var q="none"!==n[p]?n[p]:void 0,r=d(f,"domain",q);r=e(r,c.flags);if(!Ag(q,c.path)&&xg(r,a,b,c.Ra))return 0}return 1}l&&"none"!==l&&(f=d(f,"domain",l));f=e(f,c.flags);return Ag(l,c.path)?1:xg(f,a,b,c.Ra)?0:1},Cg=function(a,b,c){null==c.path&&(c.path="/");c.domain||(c.domain="auto");return Bg(a,b,c)};
function vg(a,b,c){for(var d=[],e=[],f,h=0;h<a.length;h++){var k=a[h],l=b(k);l===c?d.push(k):void 0===f||l<f?(e=[k],f=l):l===f&&e.push(k)}return 0<d.length?d:e}function ug(a,b,c){for(var d=[],e=rg(a,void 0,void 0,c),f=0;f<e.length;f++){var h=e[f].split("."),k=h.shift();if(!b||-1!==b.indexOf(k)){var l=h.shift();l&&(l=l.split("-"),d.push({id:h.join("."),dd:1*l[0]||1,sc:1*l[1]||1}))}}return d}
var yg=function(a){a&&1200<a.length&&(a=a.substring(0,1200));return a},Dg=/^(www\.)?google(\.com?)?(\.[a-z]{2})?$/,Eg=/(^|\.)doubleclick\.net$/i,Ag=function(a,b){return Eg.test(window.document.location.hostname)||"/"===b&&Dg.test(a)},qg=function(){return og(window)?window.document.cookie:""},zg=function(){var a=[],b=window.document.location.hostname.split(".");if(4===b.length){var c=b[b.length-1];if(parseInt(c,10).toString()===c)return["none"]}for(var d=b.length-2;0<=d;d--)a.push(b.slice(d).join("."));
var e=window.document.location.hostname;Eg.test(e)||Dg.test(e)||a.push("none");return a},pg=function(a){if(!Id(zd)||!a||!Td())return!0;if(!Sd(a))return!1;var b=Qd(a);return null==b?!0:!!b};var Fg=function(){return[Math.round(2147483647*Math.random()),Math.round(Ra()/1E3)].join(".")},Ig=function(a,b,c,d,e){var f=Gg(b);return wg(a,f,Hg(c),d,e)},Jg=function(a,b,c,d){var e=""+Gg(c),f=Hg(d);1<f&&(e+="-"+f);return[b,e,a].join(".")},Gg=function(a){if(!a)return 1;a=0===a.indexOf(".")?a.substr(1):a;return a.split(".").length},Hg=function(a){if(!a||"/"===a)return 1;"/"!==a[0]&&(a="/"+a);"/"!==a[a.length-1]&&(a+="/");return a.split("/").length-1};function Kg(a,b,c){var d,e=Number(null!=a.nb?a.nb:void 0);0!==e&&(d=new Date((b||Ra())+1E3*(e||7776E3)));return{path:a.path,domain:a.domain,flags:a.flags,encode:!!c,expires:d}};var Lg=["1"],Mg={},Qg=function(a,b){b=void 0===b?!0:b;var c=Ng(a.prefix);if(!Mg[c]&&!Og(c,a.path,a.domain)&&b){var d=Ng(a.prefix),e=Fg();if(0===Pg(d,e,a)){var f=zb("google_tag_data",{});f._gcl_au?sa("GTM",57):f._gcl_au=e}Og(c,a.path,a.domain)}};function Pg(a,b,c){var d=Jg(b,"1",c.domain,c.path),e=Kg(c);e.Ra="ad_storage";return Cg(a,d,e)}function Og(a,b,c){var d=Ig(a,b,c,Lg,"ad_storage");d&&(Mg[a]=d);return d}function Ng(a){return(a||"_gcl")+"_au"};var Rg=function(a){for(var b=[],c=A.cookie.split(";"),d=new RegExp("^\\s*"+(a||"_gac")+"_(UA-\\d+-\\d+)=\\s*(.+?)\\s*$"),e=0;e<c.length;e++){var f=c[e].match(d);f&&b.push({Le:f[1],value:f[2],timestamp:Number(f[2].split(".")[1])||0})}b.sort(function(h,k){return k.timestamp-h.timestamp});return b};
function Sg(a,b){var c=Rg(a),d={};if(!c||!c.length)return d;for(var e=0;e<c.length;e++){var f=c[e].value.split(".");if(!("1"!==f[0]||b&&3>f.length||!b&&3!==f.length)&&Number(f[1])){d[c[e].Le]||(d[c[e].Le]=[]);var h={version:f[0],timestamp:1E3*Number(f[1]),Aa:f[2]};b&&3<f.length&&(h.labels=f.slice(3));d[c[e].Le].push(h)}}return d};function Tg(){for(var a=Ug,b={},c=0;c<a.length;++c)b[a[c]]=c;return b}function Vg(){var a="ABCDEFGHIJKLMNOPQRSTUVWXYZ";a+=a.toLowerCase()+"0123456789-_";return a+"."}var Ug,Wg;
function Xg(a){function b(l){for(;d<a.length;){var n=a.charAt(d++),p=Wg[n];if(null!=p)return p;if(!/^[\s\xa0]*$/.test(n))throw Error("Unknown base64 encoding at char: "+n);}return l}Ug=Ug||Vg();Wg=Wg||Tg();for(var c="",d=0;;){var e=b(-1),f=b(0),h=b(64),k=b(64);if(64===k&&-1===e)return c;c+=String.fromCharCode(e<<2|f>>4);64!=h&&(c+=String.fromCharCode(f<<4&240|h>>2),64!=k&&(c+=String.fromCharCode(h<<6&192|k)))}};var Yg;var bh=function(){var a=Zg,b=$g,c=ah(),d=function(h){a(h.target||h.srcElement||{})},e=function(h){b(h.target||h.srcElement||{})};if(!c.init){Ib(A,"mousedown",d);Ib(A,"keyup",d);Ib(A,"submit",e);var f=HTMLFormElement.prototype.submit;HTMLFormElement.prototype.submit=function(){b(this);f.call(this)};c.init=!0}},ch=function(a,b,c,d,e){var f={callback:a,domains:b,fragment:2===c,placement:c,forms:d,sameHost:e};ah().decorators.push(f)},dh=function(a,b,c){for(var d=ah().decorators,e={},f=0;f<d.length;++f){var h=
d[f],k;if(k=!c||h.forms)a:{var l=h.domains,n=a,p=!!h.sameHost;if(l&&(p||n!==A.location.hostname))for(var q=0;q<l.length;q++)if(l[q]instanceof RegExp){if(l[q].test(n)){k=!0;break a}}else if(0<=n.indexOf(l[q])||p&&0<=l[q].indexOf(n)){k=!0;break a}k=!1}if(k){var r=h.placement;void 0==r&&(r=h.fragment?2:1);r===b&&Ua(e,h.callback())}}return e},ah=function(){var a=zb("google_tag_data",{}),b=a.gl;b&&b.decorators||(b={decorators:[]},a.gl=b);return b};var eh=/(.*?)\*(.*?)\*(.*)/,fh=/^https?:\/\/([^\/]*?)\.?cdn\.ampproject\.org\/?(.*)/,gh=/^(?:www\.|m\.|amp\.)+/,hh=/([^?#]+)(\?[^#]*)?(#.*)?/;function ih(a){return new RegExp("(.*?)(^|&)"+a+"=([^&]*)&?(.*)")}
var kh=function(a){var b=[],c;for(c in a)if(a.hasOwnProperty(c)){var d=a[c];if(void 0!==d&&d===d&&null!==d&&"[object Object]"!==d.toString()){b.push(c);var e=b,f=e.push,h,k=String(d);Ug=Ug||Vg();Wg=Wg||Tg();for(var l=[],n=0;n<k.length;n+=3){var p=n+1<k.length,q=n+2<k.length,r=k.charCodeAt(n),u=p?k.charCodeAt(n+1):0,t=q?k.charCodeAt(n+2):0,v=r>>2,w=(r&3)<<4|u>>4,y=(u&15)<<2|t>>6,x=t&63;q||(x=64,p||(y=64));l.push(Ug[v],Ug[w],Ug[y],Ug[x])}h=l.join("");f.call(e,h)}}var z=b.join("*");return["1",jh(z),
z].join("*")},jh=function(a,b){var c=[window.navigator.userAgent,(new Date).getTimezoneOffset(),window.navigator.userLanguage||window.navigator.language,Math.floor((new Date).getTime()/60/1E3)-(void 0===b?0:b),a].join("*"),d;if(!(d=Yg)){for(var e=Array(256),f=0;256>f;f++){for(var h=f,k=0;8>k;k++)h=h&1?h>>>1^3988292384:h>>>1;e[f]=h}d=e}Yg=d;for(var l=4294967295,n=0;n<c.length;n++)l=l>>>8^Yg[(l^c.charCodeAt(n))&255];return((l^-1)>>>0).toString(36)},mh=function(){return function(a){var b=Be(m.location.href),
c=b.search.replace("?",""),d=we(c,"_gl",!0)||"";a.query=lh(d)||{};var e=ze(b,"fragment").match(ih("_gl"));a.fragment=lh(e&&e[3]||"")||{}}},nh=function(a){var b=mh(),c=ah();c.data||(c.data={query:{},fragment:{}},b(c.data));var d={},e=c.data;e&&(Ua(d,e.query),a&&Ua(d,e.fragment));return d},lh=function(a){var b;b=void 0===b?3:b;try{if(a){var c;a:{for(var d=a,e=0;3>e;++e){var f=eh.exec(d);if(f){c=f;break a}d=decodeURIComponent(d)}c=void 0}var h=c;if(h&&"1"===h[1]){var k=h[3],l;a:{for(var n=h[2],p=0;p<
b;++p)if(n===jh(k,p)){l=!0;break a}l=!1}if(l){for(var q={},r=k?k.split("*"):[],u=0;u<r.length;u+=2)q[r[u]]=Xg(r[u+1]);return q}}}}catch(t){}};function oh(a,b,c,d){function e(p){var q=p,r=ih(a).exec(q),u=q;if(r){var t=r[2],v=r[4];u=r[1];v&&(u=u+t+v)}p=u;var w=p.charAt(p.length-1);p&&"&"!==w&&(p+="&");return p+n}d=void 0===d?!1:d;var f=hh.exec(c);if(!f)return"";var h=f[1],k=f[2]||"",l=f[3]||"",n=a+"="+b;d?l="#"+e(l.substring(1)):k="?"+e(k.substring(1));return""+h+k+l}
function ph(a,b){var c="FORM"===(a.tagName||"").toUpperCase(),d=dh(b,1,c),e=dh(b,2,c),f=dh(b,3,c);if(Va(d)){var h=kh(d);c?qh("_gl",h,a):rh("_gl",h,a,!1)}if(!c&&Va(e)){var k=kh(e);rh("_gl",k,a,!0)}for(var l in f)if(f.hasOwnProperty(l))a:{var n=l,p=f[l],q=a;if(q.tagName){if("a"===q.tagName.toLowerCase()){rh(n,p,q,void 0);break a}if("form"===q.tagName.toLowerCase()){qh(n,p,q);break a}}"string"==typeof q&&oh(n,p,q,void 0)}}
function rh(a,b,c,d){if(c.href){var e=oh(a,b,c.href,void 0===d?!1:d);fb.test(e)&&(c.href=e)}}
function qh(a,b,c){if(c&&c.action){var d=(c.method||"").toLowerCase();if("get"===d){for(var e=c.childNodes||[],f=!1,h=0;h<e.length;h++){var k=e[h];if(k.name===a){k.setAttribute("value",b);f=!0;break}}if(!f){var l=A.createElement("input");l.setAttribute("type","hidden");l.setAttribute("name",a);l.setAttribute("value",b);c.appendChild(l)}}else if("post"===d){var n=oh(a,b,c.action);fb.test(n)&&(c.action=n)}}}
var Zg=function(a){try{var b;a:{for(var c=a,d=100;c&&0<d;){if(c.href&&c.nodeName.match(/^a(?:rea)?$/i)){b=c;break a}c=c.parentNode;d--}b=null}var e=b;if(e){var f=e.protocol;"http:"!==f&&"https:"!==f||ph(e,e.hostname)}}catch(h){}},$g=function(a){try{if(a.action){var b=ze(Be(a.action),"host");ph(a,b)}}catch(c){}},sh=function(a,b,c,d){bh();ch(a,b,"fragment"===c?2:1,!!d,!1)},th=function(a,b){bh();ch(a,[ye(m.location,"host",!0)],b,!0,!0)},uh=function(){var a=A.location.hostname,b=fh.exec(A.referrer);if(!b)return!1;
var c=b[2],d=b[1],e="";if(c){var f=c.split("/"),h=f[1];e="s"===h?decodeURIComponent(f[2]):decodeURIComponent(h)}else if(d){if(0===d.indexOf("xn--"))return!1;e=d.replace(/-/g,".").replace(/\.\./g,"-")}var k=a.replace(gh,""),l=e.replace(gh,""),n;if(!(n=k===l)){var p="."+l;n=k.substring(k.length-p.length,k.length)===p}return n},vh=function(a,b){return!1===a?!1:a||b||uh()};var wh={};var xh=/^\w+$/,yh=/^[\w-]+$/,zh={aw:"_aw",dc:"_dc",gf:"_gf",ha:"_ha",gp:"_gp",gb:"_gb"},Ah=function(){if(!Id(zd)||!Td())return!0;var a=Qd("ad_storage");return null==a?!0:!!a},Bh=function(a,b){Sd("ad_storage")?Ah()?a():Yd(a,"ad_storage"):b?sa("TAGGING",3):Xd(function(){Bh(a,!0)},["ad_storage"])},Dh=function(a){return Ch(a).map(function(b){return b.Aa})},Ch=function(a){var b=[];if(!og(m)||!A.cookie)return b;var c=rg(a,A.cookie,void 0,"ad_storage");if(!c||0==c.length)return b;for(var d={},e=0;e<c.length;d=
{Ac:d.Ac},e++){var f=Eh(c[e]);if(null!=f){var h=f,k=h.version;d.Ac=h.Aa;var l=h.timestamp,n=h.labels,p=za(b,function(q){return function(r){return r.Aa===q.Ac}}(d));p?(p.timestamp=Math.max(p.timestamp,l),p.labels=Fh(p.labels,n||[])):b.push({version:k,Aa:d.Ac,timestamp:l,labels:n})}}b.sort(function(q,r){return r.timestamp-q.timestamp});return Gh(b)};function Fh(a,b){for(var c={},d=[],e=0;e<a.length;e++)c[a[e]]=!0,d.push(a[e]);for(var f=0;f<b.length;f++)c[b[f]]||d.push(b[f]);return d}
function Hh(a){return a&&"string"==typeof a&&a.match(xh)?a:"_gcl"}
var Jh=function(){var a=Be(m.location.href),b=ze(a,"query",!1,void 0,"gclid"),c=ze(a,"query",!1,void 0,"gclsrc"),d=ze(a,"query",!1,void 0,"wbraid"),e=ze(a,"query",!1,void 0,"dclid");if(!b||!c||!d){var f=a.hash.replace("#","");b=b||we(f,"gclid",void 0);c=c||we(f,"gclsrc",void 0);d=d||we(f,"wbraid",void 0)}return Ih(b,c,e,d)},Ih=function(a,b,c,d){var e={},f=function(h,k){e[k]||(e[k]=[]);e[k].push(h)};e.gclid=a;e.gclsrc=b;e.dclid=c;void 0!==d&&yh.test(d)&&(e.gbraid=d,f(d,"gb"));if(void 0!==a&&a.match(yh))switch(b){case void 0:f(a,
"aw");break;case "aw.ds":f(a,"aw");f(a,"dc");break;case "ds":f(a,"dc");break;case "3p.ds":f(a,"dc");break;case "gf":f(a,"gf");break;case "ha":f(a,"ha")}c&&f(c,"dc");return e},Lh=function(a){var b=Jh();Bh(function(){Kh(b,a)})};
function Kh(a,b,c,d){function e(p,q){var r=Mh(p,f);r&&(Cg(r,q,h),k=!0)}b=b||{};d=d||[];var f=Hh(b.prefix);c=c||Ra();var h=Kg(b,c,!0);h.Ra="ad_storage";var k=!1,l=Math.round(c/1E3),n=function(p){var q=["GCL",l,p];0<d.length&&q.push(d.join("."));return q.join(".")};a.aw&&e("aw",n(a.aw[0]));a.dc&&e("dc",n(a.dc[0]));a.gf&&e("gf",n(a.gf[0]));a.ha&&e("ha",n(a.ha[0]));a.gp&&e("gp",n(a.gp[0]));(void 0==wh.enable_gbraid_cookie_write?0:wh.enable_gbraid_cookie_write)&&!k&&a.gb&&e("gb",n(a.gb[0]))}
var Oh=function(a,b){var c=nh(!0);Bh(function(){for(var d=Hh(b.prefix),e=0;e<a.length;++e){var f=a[e];if(void 0!==zh[f]){var h=Mh(f,d),k=c[h];if(k){var l=Math.min(Nh(k),Ra()),n;b:{var p=l;if(og(m))for(var q=rg(h,A.cookie,void 0,"ad_storage"),r=0;r<q.length;++r)if(Nh(q[r])>p){n=!0;break b}n=!1}if(!n){var u=Kg(b,l,!0);u.Ra="ad_storage";Cg(h,k,u)}}}}Kh(Ih(c.gclid,c.gclsrc),b)})},Mh=function(a,b){var c=zh[a];if(void 0!==c)return b+c},Nh=function(a){return 0!==Ph(a.split(".")).length?1E3*(Number(a.split(".")[1])||
0):0};function Eh(a){var b=Ph(a.split("."));return 0===b.length?null:{version:b[0],Aa:b[2],timestamp:1E3*(Number(b[1])||0),labels:b.slice(3)}}function Ph(a){return 3>a.length||"GCL"!==a[0]&&"1"!==a[0]||!/^\d+$/.test(a[1])||!yh.test(a[2])?[]:a}
var Qh=function(a,b,c,d,e){if(xa(b)&&og(m)){var f=Hh(e),h=function(){for(var k={},l=0;l<a.length;++l){var n=Mh(a[l],f);if(n){var p=rg(n,A.cookie,void 0,"ad_storage");p.length&&(k[n]=p.sort()[p.length-1])}}return k};Bh(function(){sh(h,b,c,d)})}},Gh=function(a){return a.filter(function(b){return yh.test(b.Aa)})},Rh=function(a,b){if(og(m)){for(var c=Hh(b.prefix),d={},e=0;e<a.length;e++)zh[a[e]]&&(d[a[e]]=zh[a[e]]);Bh(function(){Ja(d,function(f,h){var k=rg(c+h,A.cookie,void 0,"ad_storage");k.sort(function(u,
t){return Nh(t)-Nh(u)});if(k.length){var l=k[0],n=Nh(l),p=0!==Ph(l.split(".")).length?l.split(".").slice(3):[],q={},r;r=0!==Ph(l.split(".")).length?l.split(".")[2]:void 0;q[f]=[r];Kh(q,b,n,p)}})})}};function Sh(a,b){for(var c=0;c<b.length;++c)if(a[b[c]])return!0;return!1}
var Th=function(a){function b(e,f,h){h&&(e[f]=h)}if(Td()){var c=Jh();if(Sh(c,a)){var d={};b(d,"gclid",c.gclid);b(d,"dclid",c.dclid);b(d,"gclsrc",c.gclsrc);b(d,"wbraid",c.gbraid);th(function(){return d},3);th(function(){var e={};return e._up="1",e},1)}}};function Uh(a,b){var c=Hh(b),d=Mh(a,c);if(!d)return 0;for(var e=Ch(d),f=0,h=0;h<e.length;h++)f=Math.max(f,e[h].timestamp);return f}
function Vh(a){var b=0,c;for(c in a)for(var d=a[c],e=0;e<d.length;e++)b=Math.max(b,Number(d[e].timestamp));return b};var Wh=/^\d+\.fls\.doubleclick\.net$/;function Xh(a,b){Sd(K.D)?M(K.D)?a():Yd(a,K.D):b?wd(42):ee(function(){Xh(a,!0)},[K.D])}function Yh(a){var b=Be(m.location.href),c=ze(b,"host",!1);if(c&&c.match(Wh)){var d=ze(b,"path").split(a+"=");if(1<d.length)return d[1].split(";")[0].split("?")[0]}}
function Zh(a,b,c){if("aw"===a||"dc"===a||"gb"===a){var d=Yh("gcl"+a);if(d)return d.split(".")}var e=Hh(b);if("_gcl"==e){c=void 0===c?!0:c;var f=!M(K.D)&&c,h;h=Jh()[a]||[];if(0<h.length)return f?["0"]:h}var k=Mh(a,e);return k?Dh(k):[]}var $h=function(a,b){return Zh("aw",a,b)},ai=function(a,b){return Zh("dc",a,b)};function bi(a){var b=[];Ja(a,function(c,d){d=Gh(d);for(var e=[],f=0;f<d.length;f++)e.push(d[f].Aa);e.length&&b.push(c+":"+e.join(","))});return b.join(";")}
var ci=function(a){var b=Yh("gac");return b?!M(K.D)&&a?"0":decodeURIComponent(b):bi(Ah()?Sg():{})},di=function(a){var b=Yh("gacgb");return b?!M(K.D)&&a?"0":decodeURIComponent(b):bi(Ah()?Sg("_gac_gb",!0):{})},ei=function(a,b){var c=Jh(),d=[],e=c.gclid,f=c.dclid,h=c.gclsrc||"aw";!e||"aw.ds"!==h&&"aw"!==h&&"ds"!==h||d.push({Aa:e,ne:h});f&&d.push({Aa:f,ne:"ds"});Xh(function(){Qg(b);var k=Mg[Ng(b.prefix)],l=!1;if(k&&0<d.length)for(var n=Hf.joined_auid=Hf.joined_auid||{},p=0;p<d.length;p++){var q=d[p],r=q.Aa,u=q.ne,t=(b.prefix||"_gcl")+"."+u+"."+r;if(!n[t]){var v="https://adservice.google.com/pagead/regclk";v="gb"===u?v+"?gbraid="+r+"&auid="+k:v+"?gclid="+r+"&auid="+k+"&gclsrc="+u;Ob(v);l=n[t]=!0}}null==a&&(a=l);var w=!0;
w=!1;if(w&&a&&k){var y=Ng(b.prefix),x=Mg[y];x&&Pg(y,x,b)}})},fi=function(a){var b;if(Yh("gclaw")||Yh("gac")||0<(Jh().aw||[]).length)b=!1;else{var c;if(0<(Jh().gb||[]).length)c=!0;else{var d=Math.max(Uh("aw",a),Vh(Ah()?Sg():{}));c=Math.max(Uh("gb",a),Vh(Ah()?Sg("_gac_gb",!0):{}))>d}b=c}return b};var gi=/[A-Z]+/,hi=/\s/,ii=function(a){if(g(a)&&(a=Pa(a),!hi.test(a))){var b=a.indexOf("-");if(!(0>b)){var c=a.substring(0,b);if(gi.test(c)){for(var d=a.substring(b+1).split("/"),e=0;e<d.length;e++)if(!d[e])return;return{id:a,prefix:c,containerId:c+"-"+d[0],N:d}}}}},ki=function(a){for(var b={},c=0;c<a.length;++c){var d=ii(a[c]);d&&(b[d.id]=d)}ji(b);var e=[];Ja(b,function(f,h){e.push(h)});return e};
function ji(a){var b=[],c;for(c in a)if(a.hasOwnProperty(c)){var d=a[c];"AW"===d.prefix&&d.N[1]&&b.push(d.containerId)}for(var e=0;e<b.length;++e)delete a[b[e]]};var li=function(){var a=!1;return a};var ni=function(a,b,c,d){return(2===mi()||d||"http:"!=m.location.protocol?a:b)+c},mi=function(){var a=Cb(),b;if(1===a)a:{var c=Nf;c=c.toLowerCase();for(var d="https://"+c,e="http://"+c,f=1,h=A.getElementsByTagName("script"),k=0;k<h.length&&100>k;k++){var l=h[k].src;if(l){l=l.toLowerCase();if(0===l.indexOf(e)){b=3;break a}1===f&&0===l.indexOf(d)&&(f=2)}}b=f}else b=a;return b};var zi=function(a,b){var c=a?kg(a):m.enhanced_conversion_data,d=(a||{}).enhanced_conversions_mode;if(m.Promise)try{return c?tf(c,b).then(function(e){e.fe=d;return e}):Promise.resolve({qc:"",cc:[],fe:d})}catch(e){}};
var Ai=function(a){if(M(K.D))return a;a=a.replace(/&url=([^&#]+)/,function(b,c){var d=Ce(decodeURIComponent(c));return"&url="+encodeURIComponent(d)});a=a.replace(/&ref=([^&#]+)/,function(b,c){var d=Ce(decodeURIComponent(c));return"&ref="+encodeURIComponent(d)});return a},Bi=function(){var a;if(!(a=Of)){var b;if(!0===m._gtmdgs)b=!0;else{var c=xb&&xb.userAgent||"";b=0>c.indexOf("Safari")||/Chrome|Coast|Opera|Edg|Silk|Android/.test(c)||
11>((/Version\/([\d]+)/.exec(c)||[])[1]||"")?!1:!0}a=!b}if(a)return-1;var d=Ma("1");return mg(1,100)<d?mg(2,2):-1},Ci=function(a){var b;if(!a||!a.length)return;for(var c=[],d=0;d<a.length;++d){var e=a[d];e&&e.estimated_delivery_date?c.push(""+e.estimated_delivery_date):c.push("")}b=c.join(",");return b};var Di=new RegExp(/^(.*\.)?(google|youtube|blogger|withgoogle)(\.com?)?(\.[a-z]{2})?\.?$/),Ei={cl:["ecl"],customPixels:["nonGooglePixels"],ecl:["cl"],ehl:["hl"],hl:["ehl"],html:["customScripts","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],customScripts:["html","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],nonGooglePixels:[],nonGoogleScripts:["nonGooglePixels"],nonGoogleIframes:["nonGooglePixels"]},Fi={cl:["ecl"],customPixels:["customScripts","html"],
ecl:["cl"],ehl:["hl"],hl:["ehl"],html:["customScripts"],customScripts:["html"],nonGooglePixels:["customPixels","customScripts","html","nonGoogleScripts","nonGoogleIframes"],nonGoogleScripts:["customScripts","html"],nonGoogleIframes:["customScripts","html","nonGoogleScripts"]},Gi="google customPixels customScripts html nonGooglePixels nonGoogleScripts nonGoogleIframes".split(" ");
var Hi=function(){var a=!1;return a},Ji=function(a){var b=$f("gtm.allowlist")||$f("gtm.whitelist");b&&wd(9);Hi()&&(b="google gtagfl lcl zone oid op".split(" "));var c=b&&Wa(Oa(b),Ei),d=$f("gtm.blocklist")||
$f("gtm.blacklist");d||(d=$f("tagTypeBlacklist"))&&wd(3);d?wd(8):d=[];Ii()&&(d=Oa(d),d.push("nonGooglePixels","nonGoogleScripts","sandboxedScripts"));0<=ya(Oa(d),"google")&&wd(2);var e=d&&Wa(Oa(d),Fi),f={};return function(h){var k=h&&h[$b.kb];if(!k||"string"!=typeof k)return!0;k=k.replace(/^_*/,"");if(void 0!==f[k])return f[k];var l=Tf[k]||[],n=a(k,l);if(b){var p;if(p=
n)a:{if(0>ya(c,k))if(l&&0<l.length)for(var q=0;q<l.length;q++){if(0>ya(c,l[q])){wd(11);p=!1;break a}}else{p=!1;break a}p=!0}n=p}var r=!1;if(d){var u=0<=ya(e,k);if(u)r=u;else{var t=Ga(e,l||[]);t&&wd(10);r=t}}var v=!n||r;v||!(0<=ya(l,"sandboxedScripts"))||c&&-1!==ya(c,"sandboxedScripts")||(v=Ga(e,Gi));return f[k]=v}},Ii=function(){return Di.test(m.location&&m.location.hostname)};var Ki={active:!0,isAllowed:function(){return!0}},Li=function(a){var b=Hf.zones;return b?b.checkState(Gf.M,a):Ki},Mi=function(a){var b=Hf.zones;!b&&a&&(b=Hf.zones=a());return b};var Ni=function(){},Oi=function(){};var Pi=!1,Qi=0,Ri=[];function Si(a){if(!Pi){var b=A.createEventObject,c="complete"==A.readyState,d="interactive"==A.readyState;if(!a||"readystatechange"!=a.type||c||!b&&d){Pi=!0;for(var e=0;e<Ri.length;e++)F(Ri[e])}Ri.push=function(){for(var f=0;f<arguments.length;f++)F(arguments[f]);return 0}}}function Ti(){if(!Pi&&140>Qi){Qi++;try{A.documentElement.doScroll("left"),Si()}catch(a){m.setTimeout(Ti,50)}}}var Ui=function(a){Pi?a():Ri.push(a)};var Wi=function(a,b){this.o=!1;this.F=[];this.O={tags:[]};this.aa=!1;this.s=this.C=0;Vi(this,a,b)},Xi=function(a,b,c,d){if(Kf.hasOwnProperty(b)||"__zone"===b)return-1;var e={};Yb(d)&&(e=H(d,e));e.id=c;e.status="timeout";return a.O.tags.push(e)-1},Yi=function(a,b,c,d){var e=a.O.tags[b];e&&(e.status=c,e.executionTime=d)},aj=function(a){if(!a.o){for(var b=a.F,c=0;c<b.length;c++)b[c]();a.o=!0;a.F.length=0}},Vi=function(a,b,c){va(b)&&bj(a,b);c&&m.setTimeout(function(){return aj(a)},Number(c))},bj=function(a,
b){var c=Ta(function(){return F(function(){b(Gf.M,a.O)})});a.o?c():a.F.push(c)},cj=function(a){a.C++;return Ta(function(){a.s++;a.aa&&a.s>=a.C&&aj(a)})};var dj=function(){function a(d){return!wa(d)||0>d?0:d}if(!Hf._li&&m.performance&&m.performance.timing){var b=m.performance.timing.navigationStart,c=wa(ag.get("gtm.start"))?ag.get("gtm.start"):0;Hf._li={cst:a(c-b),cbt:a(Qf-b)}}},ej=function(a){m.performance&&m.performance.mark(Gf.M+"_"+a+"_start")},fj=function(a){if(m.performance){var b=Gf.M+"_"+a+"_start",c=Gf.M+"_"+a+"_duration";m.performance.measure(c,b);var d=m.performance.getEntriesByName(c)[0];m.performance.clearMarks(b);m.performance.clearMeasures(c);
var e=Hf._p||{};void 0===e[a]&&(e[a]=d.duration,Hf._p=e);return d.duration}},gj=function(){if(m.performance&&m.performance.now){var a=Hf._p||{};a.PAGEVIEW=m.performance.now();Hf._p=a}};var hj={},ij=function(){return m.GoogleAnalyticsObject&&m[m.GoogleAnalyticsObject]},jj=!1;
var oj=function(a){},nj=function(){return m.GoogleAnalyticsObject||"ga"},pj=function(a,b){return function(){var c=ij(),d=c&&c.getByName&&c.getByName(a);if(d){var e=d.get("sendHitTask");d.set("sendHitTask",function(f){var h=f.get("hitPayload"),k=f.get("hitCallback"),l=0>h.indexOf("&tid="+b);l&&(f.set("hitPayload",h.replace(/&tid=UA-[0-9]+-[0-9]+/,"&tid="+
b),!0),f.set("hitCallback",void 0,!0));e(f);l&&(f.set("hitPayload",h,!0),f.set("hitCallback",k,!0),f.set("_x_19",void 0,!0),e(f))})}}};
var wj=function(a){},Aj=function(a){},Bj=
function(){return"&tc="+Gc.filter(function(a){return a}).length},Ej=function(){2022<=Cj().length&&Dj()},Fj=function(a){return 0===a.indexOf("gtm.")?encodeURIComponent(a):"*"},Hj=function(){Gj||(Gj=m.setTimeout(Dj,500))},Dj=function(){Gj&&(m.clearTimeout(Gj),Gj=void 0);void 0===Ij||Jj[Ij]&&!Kj&&!Lj||(Mj[Ij]||Nj.mi()||0>=Oj--?(wd(1),Mj[Ij]=!0):(Nj.Hi(),Hb(Cj(!0)),Jj[Ij]=!0,Pj=Qj=Rj=Lj=Kj=""))},Cj=function(a){var b=Ij;if(void 0===b)return"";var c=ta("GTM"),d=ta("TAGGING");return[Sj,Jj[b]?"":"&es=1",
Tj[b],wj(b),c?"&u="+c:"",d?"&ut="+d:"",Bj(),Kj,Lj,Rj,Qj,Aj(a),Pj,"&z=0"].join("")},Vj=function(){Sj=Uj()},Uj=function(){return[Rf,"&v=3&t=t","&pid="+Ba(),"&rv="+Gf.Xc].join("")},zj=["L","S","Y"],vj=["S","E"],Wj={sampleRate:"0.005000",Eg:"",Dg:Number("5")},Xj=0<=A.location.search.indexOf("?gtm_latency=")||0<=A.location.search.indexOf("&gtm_latency="),Yj;if(!(Yj=Xj)){var Zj=Math.random(),ak=Wj.sampleRate;Yj=Zj<ak}var bk=Yj,ck={label:Gf.M+" Container",children:[{label:"Initialization",children:[]}]},Sj=Uj(),Jj={},Kj="",Lj="",Pj="",Qj="",yj={},xj=!1,uj={},dk={},Rj="",Ij=void 0,Tj={},Mj={},Gj=void 0,ek=5;0<Wj.Dg&&(ek=Wj.Dg);var Nj=function(a,b){for(var c=0,d=[],e=0;e<a;++e)d.push(0);return{mi:function(){return c<a?!1:Ra()-d[c%a]<b},Hi:function(){var f=c++%a;d[f]=Ra()}}}(ek,1E3),Oj=1E3,gk=function(a,b){if(bk&&!Mj[a]&&Ij!==
a){Dj();Ij=a;Pj=Kj="";Tj[a]="&e="+Fj(b)+"&eid="+a;Hj();}},hk=function(a,b,c,d){if(bk&&b){var e,f=String(b[$b.kb]||"").replace(/_/g,"");0===f.indexOf("cvt")&&(f="cvt");e=f;var h=c+e;if(!Mj[a]){a!==Ij&&(Dj(),Ij=a);Kj=Kj?Kj+"."+h:"&tr="+h;var k=b["function"];if(!k)throw Error("Error: No function name given for function call.");var l=(Ic[k]?"1":"2")+e;Pj=Pj?Pj+"."+l:"&ti="+l;
Hj();Ej()}}};var ok=function(a,b,c){if(bk&&!Mj[a]){a!==Ij&&(Dj(),Ij=a);var d=c+b;Lj=Lj?Lj+"."+d:"&epr="+d;Hj();Ej()}},pk=function(a,b,c){};function qk(a,b,c,d){var e=Gc[a],f=rk(a,b,c,d);if(!f)return null;var h=Nc(e[$b.Df],c,[]);if(h&&h.length){var k=h[0];f=qk(k.index,{onSuccess:f,onFailure:1===k.Yf?b.terminate:f,terminate:b.terminate},c,d)}return f}
function rk(a,b,c,d){function e(){if(f[$b.Ah])k();else{var w=Oc(f,c,[]);var y=w[$b.Jg];if(null!=y)for(var x=0;x<y.length;x++)if(!M(y[x])){k();return}var z=Xi(c.lb,String(f[$b.kb]),Number(f[$b.Ef]),w[$b.Bh]),B=!1;w.vtp_gtmOnSuccess=function(){if(!B){B=!0;var E=Ra()-C;hk(c.id,Gc[a],"5",E);Yi(c.lb,z,"success",
E);h()}};w.vtp_gtmOnFailure=function(){if(!B){B=!0;var E=Ra()-C;hk(c.id,Gc[a],"6",E);Yi(c.lb,z,"failure",E);k()}};w.vtp_gtmTagId=f.tag_id;w.vtp_gtmEventId=c.id;hk(c.id,f,"1");var D=function(){var E=Ra()-C;hk(c.id,f,"7",E);Yi(c.lb,z,"exception",E);B||(B=!0,k())};var C=Ra();try{Mc(w,c)}catch(E){D(E)}}}var f=Gc[a],h=b.onSuccess,k=b.onFailure,l=b.terminate;if(c.xe(f))return null;var n=Nc(f[$b.Ff],c,[]);if(n&&n.length){var p=n[0],q=qk(p.index,{onSuccess:h,onFailure:k,terminate:l},c,d);if(!q)return null;h=q;k=2===p.Yf?l:q}if(f[$b.zf]||f[$b.Dh]){var r=f[$b.zf]?Hc:
c.Oi,u=h,t=k;if(!r[a]){e=Ta(e);var v=sk(a,r,e);h=v.onSuccess;k=v.onFailure}return function(){r[a](u,t)}}return e}function sk(a,b,c){var d=[],e=[];b[a]=tk(d,e,c);return{onSuccess:function(){b[a]=uk;for(var f=0;f<d.length;f++)d[f]()},onFailure:function(){b[a]=vk;for(var f=0;f<e.length;f++)e[f]()}}}function tk(a,b,c){return function(d,e){a.push(d);b.push(e);c()}}function uk(a){a()}function vk(a,b){b()};var yk=function(a,b){for(var c=[],d=0;d<Gc.length;d++)if(a[d]){var e=Gc[d];var f=cj(b.lb);try{var h=qk(d,{onSuccess:f,onFailure:f,terminate:f},b,d);if(h){var k=c,l=k.push,n=d,p=e["function"];if(!p)throw"Error: No function name given for function call.";var q=Ic[p];l.call(k,{xg:n,lg:q?q.priorityOverride||0:0,bi:h})}else wk(d,b),f()}catch(t){f()}}var r=b.lb;r.aa=!0;r.s>=r.C&&aj(r);c.sort(xk);for(var u=0;u<c.length;u++)c[u].bi();
return 0<c.length};function xk(a,b){var c,d=b.lg,e=a.lg;c=d>e?1:d<e?-1:0;var f;if(0!==c)f=c;else{var h=a.xg,k=b.xg;f=h>k?1:h<k?-1:0}return f}function wk(a,b){if(!bk)return;var c=function(d){var e=b.xe(Gc[d])?"3":"4",f=Nc(Gc[d][$b.Df],b,[]);f&&f.length&&c(f[0].index);hk(b.id,Gc[d],e);var h=Nc(Gc[d][$b.Ff],b,[]);h&&h.length&&c(h[0].index)};c(a);}
var zk=!1,Fk=function(a){var b=Ra(),c=a["gtm.uniqueEventId"],d=a.event;if("gtm.js"===d){if(zk)return!1;zk=!0;}var h=Li(c),k=!1;if(!h.active){if("gtm.js"!==d)return!1;k=!0;h=Li(Number.MAX_SAFE_INTEGER)}
gk(c,d);var l=a.eventCallback,n=a.eventTimeout,p=l;var q={id:c,name:d,xe:Ji(h.isAllowed),Oi:[],gg:function(){wd(6)},Qf:Ak(c),lb:new Wi(p,n)};q.Pf=Bk();
Ck(c,q.lb);var r=Sc(q);k&&(r=Dk(r));var u=yk(r,q);"gtm.js"!==d&&"gtm.sync"!==d||oj(Gf.M);switch(d){case "gtm.init":u&&wd(20)}return Ek(r,u)};function Ak(a){return function(b){bk&&(Zb(b)||pk(a,"input",b))}}
function Ck(a,b){eg(a,"event",1);eg(a,"ecommerce",1);eg(a,"gtm");eg(a,"eventModel");}function Bk(){var a={};a.event=dg("event",1);a.ecommerce=dg("ecommerce",1);a.gtm=dg("gtm");a.eventModel=dg("eventModel");return a}function Dk(a){for(var b=[],c=0;c<a.length;c++)a[c]&&Jf[String(Gc[c][$b.kb])]&&(b[c]=!0);return b}
function Ek(a,b){if(!b)return b;for(var c=0;c<a.length;c++)if(a[c]&&Gc[c]&&!Kf[String(Gc[c][$b.kb])])return!0;return!1}function Gk(a,b){if(a){var c=""+a;0!==c.indexOf("http://")&&0!==c.indexOf("https://")&&(c="https://"+c);"/"===c[c.length-1]&&(c=c.substring(0,c.length-1));return Be(""+c+b).href}}function Hk(a,b){return Ik()?Gk(a,b):void 0}function Ik(){var a=!1;return a};var Jk;if(3===Gf.Xc.length)Jk="g";else{var Kk="G";Jk=Kk}
var Lk={"":"n",UA:"u",AW:"a",DC:"d",G:"e",GF:"f",HA:"h",GTM:Jk,OPT:"o"},Mk=function(a){var b=Gf.M.split("-"),c=b[0].toUpperCase(),d=Lk[c]||"i",e=a&&"GTM"===c?b[1]:"OPT"===c?b[1]:"",f;if(3===Gf.Xc.length){var h="w";f="2"+h}else f="";return f+d+Gf.Xc+e};function Nk(a,b){if(""===a)return b;var c=Number(a);return isNaN(c)?b:c};var Ok=function(a,b){a.addEventListener&&a.addEventListener.call(a,"message",b,!1)};var Pk=function(){return nb("iPhone")&&!nb("iPod")&&!nb("iPad")};nb("Opera");nb("Trident")||nb("MSIE");nb("Edge");!nb("Gecko")||-1!=gb.toLowerCase().indexOf("webkit")&&!nb("Edge")||nb("Trident")||nb("MSIE")||nb("Edge");-1!=gb.toLowerCase().indexOf("webkit")&&!nb("Edge")&&nb("Mobile");nb("Macintosh");nb("Windows");nb("Linux")||nb("CrOS");var Qk=pa.navigator||null;Qk&&(Qk.appVersion||"").indexOf("X11");nb("Android");Pk();nb("iPad");nb("iPod");Pk()||nb("iPad")||nb("iPod");gb.toLowerCase().indexOf("kaios");var Rk=function(a,b){for(var c=a,d=0;50>d;++d){var e;try{e=!(!c.frames||!c.frames[b])}catch(k){e=!1}if(e)return c;var f;a:{try{var h=c.parent;if(h&&h!=c){f=h;break a}}catch(k){}f=null}if(!(c=f))break}return null},Sk=function(a){var b=A;b=void 0===b?window.document:b;if(!a||!b.head)return null;var c=document.createElement("meta");b.head.appendChild(c);c.httpEquiv="origin-trial";c.content=a;return c};var Tk=function(){};var Uk=function(a){void 0!==a.addtlConsent&&"string"!==typeof a.addtlConsent&&(a.addtlConsent=void 0);void 0!==a.gdprApplies&&"boolean"!==typeof a.gdprApplies&&(a.gdprApplies=void 0);return void 0!==a.tcString&&"string"!==typeof a.tcString||void 0!==a.listenerId&&"number"!==typeof a.listenerId?2:a.cmpStatus&&"error"!==a.cmpStatus?0:3},Vk=function(a,b){this.s=a;this.o=null;this.F={};this.aa=0;this.O=void 0===b?500:b;this.C=null};ma(Vk,Tk);
var Xk=function(a){return"function"===typeof a.s.__tcfapi||null!=Wk(a)};
Vk.prototype.addEventListener=function(a){var b={},c=ub(function(){return a(b)}),d=0;-1!==this.O&&(d=setTimeout(function(){b.tcString="tcunavailable";b.internalErrorState=1;c()},this.O));var e=function(f,h){clearTimeout(d);f?(b=f,b.internalErrorState=Uk(b),h&&0===b.internalErrorState||(b.tcString="tcunavailable",h||(b.internalErrorState=3))):(b.tcString="tcunavailable",b.internalErrorState=3);a(b)};try{Yk(this,"addEventListener",e)}catch(f){b.tcString="tcunavailable",b.internalErrorState=3,d&&(clearTimeout(d),
d=0),c()}};Vk.prototype.removeEventListener=function(a){a&&a.listenerId&&Yk(this,"removeEventListener",null,a.listenerId)};
var $k=function(a,b,c){var d;d=void 0===d?"755":d;var e;a:{if(a.publisher&&a.publisher.restrictions){var f=a.publisher.restrictions[b];if(void 0!==f){e=f[void 0===d?"755":d];break a}}e=void 0}var h=e;if(0===h)return!1;var k=c;2===c?(k=0,2===h&&(k=1)):3===c&&(k=1,1===h&&(k=0));var l;if(0===k)if(a.purpose&&a.vendor){var n=Zk(a.vendor.consents,void 0===d?"755":d);l=n&&"1"===b&&a.purposeOneTreatment&&("DE"===a.publisherCC||Id(yd)&&"CH"===a.publisherCC)?!0:n&&Zk(a.purpose.consents,b)}else l=!0;else l=
1===k?a.purpose&&a.vendor?Zk(a.purpose.legitimateInterests,b)&&Zk(a.vendor.legitimateInterests,void 0===d?"755":d):!0:!0;return l},Zk=function(a,b){return!(!a||!a[b])},Yk=function(a,b,c,d){c||(c=function(){});if("function"===typeof a.s.__tcfapi){var e=a.s.__tcfapi;e(b,2,c,d)}else if(Wk(a)){al(a);var f=++a.aa;a.F[f]=c;if(a.o){var h={};a.o.postMessage((h.__tcfapiCall={command:b,version:2,callId:f,parameter:d},h),"*")}}else c({},!1)},Wk=function(a){if(a.o)return a.o;a.o=Rk(a.s,"__tcfapiLocator");return a.o},
al=function(a){a.C||(a.C=function(b){try{var c;c=("string"===typeof b.data?JSON.parse(b.data):b.data).__tcfapiReturn;a.F[c.callId](c.returnValue,c.success)}catch(d){}},Ok(a.s,a.C))};var bl=!0;bl=!1;var cl={1:0,3:0,4:0,7:3,9:3,10:3},dl=Nk("",550),el=Nk("",500);function fl(){var a=Hf.tcf||{};return Hf.tcf=a}
var gl=function(a,b){this.C=a;this.o=b;this.s=Ra();},hl=function(a){},il=function(a){},ol=function(){var a=fl(),b=new Vk(m,bl?3E3:-1),c=new gl(b,a);if((jl()?!0===m.gtag_enable_tcf_support:!1!==m.gtag_enable_tcf_support)&&!a.active&&("function"===typeof m.__tcfapi||Xk(b))){a.active=!0;a.vc={};kl();var d=null;bl?d=m.setTimeout(function(){ll(a);ml(a);d=null},el):a.tcString="tcunavailable";try{b.addEventListener(function(e){d&&(clearTimeout(d),d=null);if(0!==e.internalErrorState)ll(a),ml(a),hl(c);
else{var f;a.gdprApplies=e.gdprApplies;if(!1===e.gdprApplies)f=nl(),b.removeEventListener(e);else if("tcloaded"===e.eventStatus||"useractioncomplete"===e.eventStatus||"cmpuishown"===e.eventStatus){var h={},k;for(k in cl)if(cl.hasOwnProperty(k))if("1"===k){var l,n=e,p=!0;p=void 0===p?!1:p;var q;var r=n;!1===r.gdprApplies?q=!0:(void 0===r.internalErrorState&&(r.internalErrorState=Uk(r)),q="error"===r.cmpStatus||0!==r.internalErrorState||"loaded"===r.cmpStatus&&("tcloaded"===r.eventStatus||"useractioncomplete"===
r.eventStatus)?!0:!1);l=q?!1===n.gdprApplies||"tcunavailable"===n.tcString||void 0===n.gdprApplies&&!p||"string"!==typeof n.tcString||!n.tcString.length?!0:$k(n,"1",0):!1;h["1"]=l}else h[k]=$k(e,k,cl[k]);f=h}f&&(a.tcString=e.tcString||"tcempty",a.vc=f,ml(a),hl(c))}}),il(c)}catch(e){d&&(clearTimeout(d),d=null),ll(a),ml(a)}}};function ll(a){a.type="e";a.tcString="tcunavailable";bl&&(a.vc=nl())}function kl(){var a={},b=(a.ad_storage="denied",a.wait_for_update=dl,a);ae(b)}
var jl=function(){var a=!1;a=!0;return a};function nl(){var a={},b;for(b in cl)cl.hasOwnProperty(b)&&(a[b]=!0);return a}function ml(a){var b={},c=(b.ad_storage=a.vc["1"]?"granted":"denied",b);pl();be(c,0)}
var ql=function(){var a=fl();if(a.active&&void 0!==a.loadTime)return Number(a.loadTime)},pl=function(){var a=fl();return a.active?a.tcString||"":""},rl=function(){var a=fl();return a.active&&void 0!==a.gdprApplies?a.gdprApplies?"1":"0":""},sl=function(a){if(!cl.hasOwnProperty(String(a)))return!0;var b=fl();return b.active&&b.vc?!!b.vc[String(a)]:!0};function tl(a){var b=String(m.location).split(/[?#]/)[0],c=Gf.Mg||m._CONSENT_MODE_SALT,d;if(a){var e;if(c){var f=b+a+c,h=1,k,l,n;if(f)for(h=0,l=f.length-1;0<=l;l--)n=f.charCodeAt(l),h=(h<<6&268435455)+n+(n<<14),k=h&266338304,h=0!=k?h^k>>21:h;e=String(h)}else e="0";d=e}else d="";return d}
function ul(a){function b(t){var v;Hf.reported_gclid||(Hf.reported_gclid={});v=Hf.reported_gclid;var w;w=!h||Td()&&!M(K.D)?l+(t?"gcu":"gcs"):l+"."+(f.prefix||"_gcl")+(t?"gcu":"gcs");if(!v[w]){v[w]=!0;var y=[],x={},z=function(N,L){L&&(y.push(N+"="+encodeURIComponent(L)),x[N]=!0)},B="https://www.google.com";if(Td()){var D=M(K.D);z("gcs",ce());t&&z("gcu","1");Ud()&&z("gcd","G1"+Zd(Rd));Hf.dedupe_gclid||
(Hf.dedupe_gclid=""+Fg());z("rnd",Hf.dedupe_gclid);if((!l||n&&"aw.ds"!==n)&&M(K.D)){var C=Dh("_gcl_aw");z("gclaw",C.join("."))}z("url",String(m.location).split(/[?#]/)[0]);z("dclid",vl(d,p));var E=!1;E=!0;D||!d&&!E||(B="https://pagead2.googlesyndication.com")}
z("gdpr_consent",pl()),z("gdpr",rl());"1"===nh(!1)._up&&z("gtm_up","1");z("gclid",vl(d,l));z("gclsrc",n);if(!(x.gclid||x.dclid||x.gclaw)&&(z("gbraid",vl(d,q)),!x.gbraid&&Td()&&M(K.D))){var G=Dh("_gcl_gb");z("gclgb",G.join("."))}z("gtm",Mk(!e));h&&M(K.D)&&(Qg(f||{}),z("auid",Mg[Ng(f.prefix)]||""));
a.Uf&&z("did",a.Uf);var P=B+"/pagead/landing?"+y.join("&");Ob(P)}}var c=!!a.he,d=!!a.qa,e=a.T,f=void 0===a.bd?{}:a.bd,h=void 0===a.jd?!0:a.jd,k=Jh(),l=k.gclid||"",n=k.gclsrc,p=k.dclid||"",q=k.gbraid||"",r=!c&&((!l||n&&"aw.ds"!==n?!1:!0)||q),u=Td();if(r||u)u?ee(function(){b();M(K.D)||de(function(t){return b(!0,t.Rh)},K.D)},[K.D]):b()}function vl(a,b){var c=a&&!M(K.D);return b&&c?"0":b}var wl=function(){this.o={}},xl=function(a,b,c){null!=c&&(a.o[b]=c)},yl=function(a){return Object.keys(a.o).map(function(b){return encodeURIComponent(b)+"="+encodeURIComponent(a.o[b])}).join("&")},Al=function(a,b,c,d){};var Cl=!1,Dl=Number("200");function El(){if(!m.Promise)return!1;va(A.interestCohort)||Cl||(Cl=!0,Sk("A489+ZNTpP/HCOD+k3I13nobRVH7eyh5fz5LGhYvQlNf9WauHk/0awCtXOEoWTIK9JN8bgzgn2SfPdaFXe5O9QkAAACKeyJvcmlnaW4iOiJodHRwczovL3d3dy5nb29nbGV0YWdtYW5hZ2VyLmNvbTo0NDMiLCJmZWF0dXJlIjoiSW50ZXJlc3RDb2hvcnRBUEkiLCJleHBpcnkiOjE2MjYyMjA3OTksImlzU3ViZG9tYWluIjp0cnVlLCJpc1RoaXJkUGFydHkiOnRydWV9"));return va(A.interestCohort)}
function Fl(){var a=Hf.floc;if(a){var b=a.ts,c=a.floc;if(b&&c&&1E3>Ra()-b)return Promise.resolve(c)}var d=void 0;try{d=Promise.race([A.interestCohort().then(function(e){Hf.floc={ts:Ra(),floc:e};return e}),new Promise(function(e){m.setTimeout(function(){return e()},Dl)})]).catch(function(){})}catch(e){return}return d}var Gl=["aw","dc","gb"];function Hl(a,b,c,d){var e=a.Cg,f=a.callback,h=a.hg;if("function"===typeof f)if(e===K.wd&&void 0===h){var k=d(b.prefix,c);0===k.length?f(void 0):1===k.length?f(k[0]):f(k)}else e===K.ah?(Qg(b,!1),f(Mg[Ng(b.prefix)])):f(h)}function Il(a,b){var c=a.Sf,d=a.fg,e=a.zg;if(a.Hb){var f=void 0===c?!0:!!c;vh(d[K.Ab],!!d[K.P])&&Oh(Gl,b);Lh(b);Rh(Gl,b);ei(f,b)}d[K.P]&&Qh(Gl,d[K.P],d[K.Tb],!!d[K.Bb],b.prefix);e&&Th(["aw","dc","gb"])};var Cm=function(){var a=!0;sl(7)&&sl(9)&&sl(10)||(a=!1);var b=!0;b=!1;b&&!Bm()&&(a=!1);return a},Bm=function(){var a=!0;sl(3)&&sl(4)||(a=!1);return a};var hn=!1;var jn=!1;jn=!0;function kn(){var a=Hf;return a.gcq=a.gcq||new ln}
var mn=function(a,b,c){kn().register(a,b,c)},nn=function(a,b,c,d){kn().push("event",[b,a],c,d)},on=function(a,b){kn().push("config",[a],b)},pn=function(a,b,c,d){kn().push("get",[a,b],c,d)},qn={},rn=function(){this.status=1;this.containerConfig={};this.targetConfig={};this.remoteConfig={};this.s={};this.C=null;this.o=!1},sn=function(a,b,c,d,e){this.type=a;this.C=b;this.T=c||"";this.o=d;this.s=e},ln=function(){this.s={};this.C={};this.o=[];this.F={AW:!1,UA:!1};this.enableDeferrableCommandAfterConfig=
hn},tn=function(a,b){var c=ii(b);return a.s[c.containerId]=a.s[c.containerId]||new rn},un=function(a,b,c){if(b){var d=ii(b);if(d&&1===tn(a,b).status){tn(a,b).status=2;var e={};bk&&(e.timeoutId=m.setTimeout(function(){wd(38);Hj()},3E3));a.push("require",[e],d.containerId);qn[d.containerId]=Ra();if(li()){}else{var h="/gtag/js?id="+encodeURIComponent(d.containerId)+"&l=dataLayer&cx=c",k=("http:"!=m.location.protocol?"https:":"http:")+("//www.googletagmanager.com"+h),l=Hk(c,h)||k;Bb(l)}}}},vn=function(a,b,c,d){if(d.T){var e=tn(a,d.T),f=e.C;if(f){var h=H(c),k=H(e.targetConfig[d.T]),l=H(e.containerConfig),n=H(e.remoteConfig),p=H(a.C),q=$f("gtm.uniqueEventId"),r=ii(d.T).prefix,u=Ta(function(){var v=h[K.zb];v&&F(v)}),t=Cf(Bf(Df(Af(zf(yf(xf(wf(vf(h),k),l),n),p),function(){
ok(q,r,"2");jn&&u()}),function(){ok(q,r,"3");jn&&u()}),function(v,w){a.F[v]=w}),function(v){return a.F[v]});try{ok(q,r,"1");f(d.T,b,d.C,t)}catch(v){ok(q,r,"4");}}}};
ln.prototype.register=function(a,b,c){var d=tn(this,a);if(3!==d.status){d.C=b;d.status=3;if(c){H(d.remoteConfig,c);d.remoteConfig=c}var e=ii(a),f=qn[e.containerId];if(void 0!==f){var h=Hf[e.containerId].bootstrap,k=e.prefix.toUpperCase();Hf[e.containerId]._spx&&(k=k.toLowerCase());var l=$f("gtm.uniqueEventId"),n=k,p=Ra()-h;if(bk&&!Mj[l]){l!==Ij&&(Dj(),Ij=l);var q=n+"."+Math.floor(h-
f)+"."+Math.floor(p);Qj=Qj?Qj+","+q:"&cl="+q}delete qn[e.containerId]}this.flush()}};ln.prototype.push=function(a,b,c,d){var e=Math.floor(Ra()/1E3);un(this,c,b[0][K.na]||this.C[K.na]);hn&&c&&tn(this,c).o&&(d=!1);this.o.push(new sn(a,e,c,b,d));d||this.flush()};ln.prototype.insert=function(a,b,c){var d=Math.floor(Ra()/1E3);0<this.o.length?this.o.splice(1,0,new sn(a,d,c,b,!1)):this.o.push(new sn(a,d,c,b,!1))};
ln.prototype.flush=function(a){for(var b=this,c=[],d=!1,e={};this.o.length;){var f=this.o[0];if(f.s)hn?!f.T||tn(this,f.T).o?(f.s=!1,this.o.push(f)):c.push(f):(f.s=!1,this.o.push(f)),this.o.shift();else{switch(f.type){case "require":if(3!==tn(this,f.T).status&&!a){hn&&this.o.push.apply(this.o,c);return}bk&&m.clearTimeout(f.o[0].timeoutId);break;case "set":Ja(f.o[0],function(r,u){H(Xa(r,u),b.C)});break;case "config":e.Ia={};Ja(f.o[0],function(r){return function(u,t){H(Xa(u,t),r.Ia)}}(e));var h=!!e.Ia[K.Pc];
delete e.Ia[K.Pc];var k=tn(this,f.T),l=ii(f.T),n=l.containerId===l.id;h||(n?k.containerConfig={}:k.targetConfig[f.T]={});k.o&&h||vn(this,K.Ca,e.Ia,f);k.o=!0;delete e.Ia[K.Yb];n?H(e.Ia,k.containerConfig):H(e.Ia,k.targetConfig[f.T]);hn&&(d=!0);break;case "event":e.zc={};Ja(f.o[0],function(r){return function(u,t){H(Xa(u,t),r.zc)}}(e));vn(this,f.o[1],e.zc,f);break;case "get":var p={},q=(p[K.Ma]=f.o[0],p[K.Ua]=f.o[1],p);vn(this,K.Ka,q,f)}this.o.shift();wn(this,f)}e={Ia:e.Ia,zc:e.zc}}hn&&(this.o.push.apply(this.o,
c),d&&this.flush())};var wn=function(a,b){if("require"!==b.type)if(b.T)for(var c=a.getCommandListeners(b.T)[b.type]||[],d=0;d<c.length;d++)c[d]();else for(var e in a.s)if(a.s.hasOwnProperty(e)){var f=a.s[e];if(f&&f.s)for(var h=f.s[b.type]||[],k=0;k<h.length;k++)h[k]()}};ln.prototype.getRemoteConfig=function(a){return tn(this,a).remoteConfig};ln.prototype.getCommandListeners=function(a){return tn(this,a).s};var xn=function(a,b,c){var d={event:b,"gtm.element":a,"gtm.elementClasses":Tb(a,"className"),"gtm.elementId":a["for"]||Kb(a,"id")||"","gtm.elementTarget":a.formTarget||Tb(a,"target")||""};c&&(d["gtm.triggers"]=c.join(","));d["gtm.elementUrl"]=(a.attributes&&a.attributes.formaction?a.formAction:"")||a.action||Tb(a,"href")||a.src||a.code||a.codebase||"";return d},yn=function(a){Hf.hasOwnProperty("autoEventsSettings")||(Hf.autoEventsSettings={});var b=Hf.autoEventsSettings;b.hasOwnProperty(a)||(b[a]=
{});return b[a]},zn=function(a,b,c){yn(a)[b]=c},An=function(a,b,c,d){var e=yn(a),f=Sa(e,b,d);e[b]=c(f)},Bn=function(a,b,c){var d=yn(a);return Sa(d,b,c)};var Cn=["input","select","textarea"],Dn=["button","hidden","image","reset","submit"],En=function(a){var b=a.tagName.toLowerCase();return!za(Cn,function(c){return c===b})||"input"===b&&za(Dn,function(c){return c===a.type.toLowerCase()})?!1:!0},Fn=function(a){return a.form?a.form.tagName?a.form:A.getElementById(a.form):Nb(a,["form"],100)},Gn=function(a,b,c){if(!a.elements)return 0;for(var d=b.dataset[c],e=0,f=1;e<a.elements.length;e++){var h=a.elements[e];if(En(h)){if(h.dataset[c]===d)return f;f++}}return 0};var Hn=!!m.MutationObserver,In=void 0,Jn=function(a){if(!In){var b=function(){var c=A.body;if(c)if(Hn)(new MutationObserver(function(){for(var e=0;e<In.length;e++)F(In[e])})).observe(c,{childList:!0,subtree:!0});else{var d=!1;Ib(c,"DOMNodeInserted",function(){d||(d=!0,F(function(){d=!1;for(var e=0;e<In.length;e++)F(In[e])}))})}};In=[];A.body?b():F(b)}In.push(a)};var Ln=!1,Mn=[];function Nn(){if(!Ln){Ln=!0;for(var a=0;a<Mn.length;a++)F(Mn[a])}}var On=function(a){Ln?F(a):Mn.push(a)};function Pn(a,b){a=String(a);b=String(b);var c=a.length-b.length;return 0<=c&&a.indexOf(b,c)==c}var Qn=new Da;function Rn(a,b,c){var d=c?"i":void 0;try{var e=String(b)+d,f=Qn.get(e);f||(f=new RegExp(b,d),Qn.set(e,f));return f.test(a)}catch(h){return!1}}
function Sn(a,b){function c(h){var k=Be(h),l=ze(k,"protocol"),n=ze(k,"host",!0),p=ze(k,"port"),q=ze(k,"path").toLowerCase().replace(/\/$/,"");if(void 0===l||"http"==l&&"80"==p||"https"==l&&"443"==p)l="web",p="default";return[l,n,p,q]}for(var d=c(String(a)),e=c(String(b)),f=0;f<d.length;f++)if(d[f]!==e[f])return!1;return!0}
function Tn(a){return Un(a)?1:0}
function Un(a){var b=a.arg0,c=a.arg1;if(a.any_of&&xa(c)){for(var d=0;d<c.length;d++){var e=H(a,{});H({arg1:c[d],any_of:void 0},e);if(Tn(e))return!0}return!1}switch(a["function"]){case "_cn":return 0<=String(b).indexOf(String(c));case "_css":var f;a:{if(b){var h=["matches","webkitMatchesSelector","mozMatchesSelector","msMatchesSelector","oMatchesSelector"];try{for(var k=0;k<h.length;k++)if(b[h[k]]){f=b[h[k]](c);break a}}catch(n){}}f=!1}return f;case "_ew":return Pn(b,c);case "_eq":return String(b)==
String(c);case "_ge":return Number(b)>=Number(c);case "_gt":return Number(b)>Number(c);case "_lc":var l;l=String(b).split(",");return 0<=ya(l,String(c));case "_le":return Number(b)<=Number(c);case "_lt":return Number(b)<Number(c);case "_re":return Rn(b,c,a.ignore_case);case "_sw":return 0==String(b).indexOf(String(c));case "_um":return Sn(b,c)}return!1};Object.freeze({dl:1,id:1});var Vn={},Wn=function(a,b){b=b.toString().split(",");for(var c=0;c<b.length;c++)Vn[b[c]]=Vn[b[c]]||[],Vn[b[c]].push(a)},Xn=function(a){Ja(Vn,function(b,c){var d=ya(c,a);0<=d&&c.splice(d,1)})};var Yn="HA GF G UA AW DC".split(" "),Zn=!1;Zn=!0;var $n=!1,ao=!1;function bo(a,b){var c={event:a};b&&(c.eventModel=H(b),b[K.zb]&&(c.eventCallback=b[K.zb]),b[K.Hc]&&(c.eventTimeout=b[K.Hc]));return c}function co(a){a.hasOwnProperty("gtm.uniqueEventId")||Object.defineProperty(a,"gtm.uniqueEventId",{value:Uf()});return a["gtm.uniqueEventId"]}
function eo(){return $n}
var fo={config:function(a){var b,c=co(a);
return b},consent:function(a){function b(){eo()&&H(a[2],{subcommand:a[1]})}if(3===a.length){wd(39);var c=Uf(),d=a[1];"default"===d?(b(),ae(a[2])):"update"===d&&(b(),be(a[2],c))}},event:function(a){var b=a[1];if(!(2>a.length)&&g(b)){var c;if(2<a.length){if(!Yb(a[2])&&void 0!=a[2]||3<a.length)return;c=a[2]}var d=bo(b,c),e=co(a);d["gtm.uniqueEventId"]=e;return d}},get:function(a){},js:function(a){if(2==a.length&&a[1].getTime){ao=!0;eo();var b={};return b.event="gtm.js",b["gtm.start"]=a[1].getTime(),b["gtm.uniqueEventId"]=co(a),b}},policy:function(){},set:function(a){var b;2==a.length&&Yb(a[1])?
b=H(a[1]):3==a.length&&g(a[1])&&(b={},Yb(a[2])||xa(a[2])?b[a[1]]=H(a[2]):b[a[1]]=a[2]);if(b){b._clear=!0;return b}}},go={policy:!0};var ho=function(a,b){var c=a.hide;if(c&&void 0!==c[b]&&c.end){c[b]=!1;var d=!0,e;for(e in c)if(c.hasOwnProperty(e)&&!0===c[e]){d=!1;break}d&&(c.end(),c.end=null)}},jo=function(a){var b=io(),c=b&&b.hide;c&&c.end&&(c[a]=!0)};var Ao=function(a){if(zo(a))return a;this.o=a};Ao.prototype.hi=function(){return this.o};var zo=function(a){return!a||"object"!==Wb(a)||Yb(a)?!1:"getUntrustedUpdateValue"in a};Ao.prototype.getUntrustedUpdateValue=Ao.prototype.hi;var Bo=[],Co=!1,Do=!1,Eo=!1,Fo=function(a){return m["dataLayer"].push(a)},Go=function(a){var b=Hf["dataLayer"],c=b?b.subscribers:1,d=0,e=a;return function(){++d===c&&(e(),e=null)}};
function Ho(a){var b=a._clear;Ja(a,function(d,e){"_clear"!==d&&(b&&cg(d,void 0),cg(d,e))});Pf||(Pf=a["gtm.start"]);var c=a["gtm.uniqueEventId"];if(!a.event)return!1;c||(c=Uf(),a["gtm.uniqueEventId"]=c,cg("gtm.uniqueEventId",c));return Fk(a)}function Io(){var a=Bo[0];if(null==a||"object"!==typeof a)return!1;if(a.event)return!0;if(La(a)){var b=a[0];if("config"===b||"event"===b||"js"===b)return!0}return!1}
function Jo(){for(var a=!1;!Eo&&0<Bo.length;){if(!Do&&Io()){var b={};Bo.unshift((b.event="gtm.init",b));Do=!0}if(!Co&&Io()){var c={};Bo.unshift((c.event="gtm.init_consent",c));Co=!0}Eo=!0;delete Xf.eventModel;Zf();var d=Bo.shift();if(null!=d){var e=zo(d);if(e){var f=d;d=zo(f)?f.getUntrustedUpdateValue():void 0;for(var h=["gtm.allowlist","gtm.blocklist","gtm.whitelist","gtm.blacklist",
"tagTypeBlacklist"],k=0;k<h.length;k++){var l=h[k],n=$f(l,1);if(xa(n)||Yb(n))n=H(n);Yf[l]=n}}try{if(va(d))try{d.call(ag)}catch(y){}else if(xa(d)){var p=d;if(g(p[0])){var q=p[0].split("."),r=q.pop(),u=p.slice(1),t=$f(q.join("."),2);if(void 0!==t&&null!==t)try{t[r].apply(t,u)}catch(y){}}}else{if(La(d)){a:{var v=d;if(v.length&&g(v[0])){var w=fo[v[0]];if(w&&(!e||!go[v[0]])){d=w(v);break a}}d=void 0}if(!d){Eo=!1;continue}}a=Ho(d)||a}}finally{e&&Zf(!0)}}Eo=!1}return!a}function Ko(){var b=Jo();try{ho(m["dataLayer"],Gf.M)}catch(c){}return b}
var Mo=function(){var a=zb("dataLayer",[]),b=zb("google_tag_manager",{});b=b["dataLayer"]=b["dataLayer"]||{};Ui(function(){b.gtmDom||(b.gtmDom=!0,a.push({event:"gtm.dom"}))});On(function(){b.gtmLoad||(b.gtmLoad=!0,a.push({event:"gtm.load"}))});b.subscribers=(b.subscribers||0)+1;var c=a.push;a.push=function(){var e;if(0<Hf.SANDBOXED_JS_SEMAPHORE){e=[];for(var f=0;f<arguments.length;f++)e[f]=new Ao(arguments[f])}else e=[].slice.call(arguments,0);var h=c.apply(a,e);Bo.push.apply(Bo,e);if(300<
this.length)for(wd(4);300<this.length;)this.shift();var k="boolean"!==typeof h||h;return Jo()&&k};var d=a.slice(0);Bo.push.apply(Bo,d);if(Lo()){F(Ko)}},Lo=function(){var a=!0;return a};var No={};No.Sc=new String("undefined");
var Oo=function(a){this.o=function(b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]===No.Sc?b:a[d]);return c.join("")}};Oo.prototype.toString=function(){return this.o("undefined")};Oo.prototype.valueOf=Oo.prototype.toString;No.Fh=Oo;No.$d={};No.Vh=function(a){return new Oo(a)};var Po={};No.Ii=function(a,b){var c=Uf();Po[c]=[a,b];return c};No.Tf=function(a){var b=a?0:1;return function(c){var d=Po[c];if(d&&"function"===typeof d[b])d[b]();Po[c]=void 0}};No.li=function(a){for(var b=!1,c=!1,d=2;d<a.length;d++)b=
b||8===a[d],c=c||16===a[d];return b&&c};No.Ci=function(a){if(a===No.Sc)return a;var b=Uf();No.$d[b]=a;return'google_tag_manager["'+Gf.M+'"].macro('+b+")"};No.yi=function(a,b,c){a instanceof No.Fh&&(a=a.o(No.Ii(b,c)),b=ua);return{ii:a,onSuccess:b}};var $o=m.clearTimeout,ap=m.setTimeout,S=function(a,b,c){if(li()){b&&F(b)}else return Bb(a,b,c)},bp=function(){return new Date},cp=function(){return m.location.href},dp=function(a){return ze(Be(a),"fragment")},ep=function(a){return Ae(Be(a))},fp=function(a,b){return $f(a,b||2)},gp=function(a,b,c){var d;b?(a.eventCallback=b,c&&(a.eventTimeout=c),d=Fo(a)):d=Fo(a);return d},hp=function(a,b){m[a]=b},U=function(a,b,c){b&&
(void 0===m[a]||c&&!m[a])&&(m[a]=b);return m[a]},ip=function(a,b,c){return rg(a,b,void 0===c?!0:!!c)},jp=function(a,b,c){return 0===Cg(a,b,c)},kp=function(a,b){if(li()){b&&F(b)}else Gb(a,b)},lp=function(a){return!!Bn(a,"init",!1)},mp=function(a){zn(a,"init",!0)},np=function(a){var b=Nf+"?id="+encodeURIComponent(a)+"&l=dataLayer";S(ni("https://","http://",b))},op=function(a,b,c){bk&&(Zb(a)||pk(c,b,a))};var pp=No.yi;var Mp=encodeURI,W=encodeURIComponent,Np=Hb;var Op=function(a,b){if(!a)return!1;var c=ze(Be(a),"host");if(!c)return!1;for(var d=0;b&&d<b.length;d++){var e=b[d]&&b[d].toLowerCase();if(e){var f=c.length-e.length;0<f&&"."!=e.charAt(0)&&(f--,e="."+e);if(0<=f&&c.indexOf(e,f)==f)return!0}}return!1};
var Pp=function(a,b,c){for(var d={},e=!1,f=0;a&&f<a.length;f++)a[f]&&a[f].hasOwnProperty(b)&&a[f].hasOwnProperty(c)&&(d[a[f][b]]=a[f][c],e=!0);return e?d:null};function vr(){return m.gaGlobal=m.gaGlobal||{}}var wr=function(){var a=vr();a.hid=a.hid||Ba();return a.hid},xr=function(a,b){var c=vr();if(void 0==c.vid||b&&!c.from_cookie)c.vid=a,c.from_cookie=b};var Yr=function(){if(va(m.__uspapi)){var a="";try{m.__uspapi("getUSPData",1,function(b,c){if(c&&b){var d=b.uspString;d&&/^[\da-zA-Z-]{1,20}$/.test(d)&&(a=d)}})}catch(b){}return a}};var ss=window,ts=document,us=function(a){var b=ss._gaUserPrefs;if(b&&b.ioo&&b.ioo()||a&&!0===ss["ga-disable-"+a])return!0;try{var c=ss.external;if(c&&c._gaUserPrefs&&"oo"==c._gaUserPrefs)return!0}catch(f){}for(var d=ng("AMP_TOKEN",String(ts.cookie),!0),e=0;e<d.length;e++)if("$OPT_OUT"==d[e])return!0;return ts.getElementById("__gaOptOutExtension")?!0:!1};var vs={};function ys(a){delete a.eventModel[K.Yb];As(a.eventModel)}var As=function(a){Ja(a,function(c){"_"===c.charAt(0)&&delete a[c]});var b=a[K.Oa]||{};Ja(b,function(c){"_"===c.charAt(0)&&delete b[c]})};var Ds=function(a,b,c){nn(b,c,a)},Es=function(a,b,c){nn(b,c,a,!0)},Is=function(a,b){};
function Fs(a,b){}var X={g:{}};

X.g.e=["google"],function(){(function(a){X.__e=a;X.__e.h="e";X.__e.m=!0;X.__e.priorityOverride=0})(function(a){var b=String(fg(a.vtp_gtmEventId,"event"));a.vtp_gtmCachedValues&&(b=String(a.vtp_gtmCachedValues.event));return b})}();
X.g.f=["google"],function(){(function(a){X.__f=a;X.__f.h="f";X.__f.m=!0;X.__f.priorityOverride=0})(function(a){var b=fp("gtm.referrer",1)||A.referrer;return b?a.vtp_component&&"URL"!=a.vtp_component?ze(Be(String(b)),a.vtp_component,a.vtp_stripWww,a.vtp_defaultPages,a.vtp_queryKey):ep(String(b)):String(b)})}();

X.g.u=["google"],function(){var a=function(b){return{toString:function(){return b}}};(function(b){X.__u=b;X.__u.h="u";X.__u.m=!0;X.__u.priorityOverride=0})(function(b){var c;c=(c=b.vtp_customUrlSource?b.vtp_customUrlSource:fp("gtm.url",1))||cp();var d=b[a("vtp_component")];if(!d||"URL"==d)return ep(String(c));var e=Be(String(c)),f;if("QUERY"===d)a:{var h=b[a("vtp_multiQueryKeys").toString()],k=b[a("vtp_queryKey").toString()]||"",l=b[a("vtp_ignoreEmptyQueryParam").toString()],n;h?xa(k)?n=k:n=String(k).replace(/\s+/g,
"").split(","):n=[String(k)];for(var p=0;p<n.length;p++){var q=ze(e,"QUERY",void 0,void 0,n[p]);if(void 0!=q&&(!l||""!==q)){f=q;break a}}f=void 0}else f=ze(e,d,"HOST"==d?b[a("vtp_stripWww")]:void 0,"PATH"==d?b[a("vtp_defaultPages")]:void 0,void 0);return f})}();













X.g.html=["customScripts"],function(){function a(d,e,f,h){return function(){try{if(0<e.length){var k=e.shift(),l=a(d,e,f,h);if("SCRIPT"==String(k.nodeName).toUpperCase()&&"text/gtmscript"==k.type){var n=A.createElement("script");n.async=!1;n.type="text/javascript";n.id=k.id;n.text=k.text||k.textContent||k.innerHTML||"";k.charset&&(n.charset=k.charset);var p=k.getAttribute("data-gtmsrc");p&&(n.src=p,Ab(n,l));d.insertBefore(n,null);p||l()}else if(k.innerHTML&&0<=k.innerHTML.toLowerCase().indexOf("<script")){for(var q=
[];k.firstChild;)q.push(k.removeChild(k.firstChild));d.insertBefore(k,null);a(k,q,l,h)()}else d.insertBefore(k,null),l()}else f()}catch(r){F(h)}}}var c=function(d){if(A.body){var e=
d.vtp_gtmOnFailure,f=pp(d.vtp_html,d.vtp_gtmOnSuccess,e),h=f.ii,k=f.onSuccess;if(d.vtp_useIframe){}else d.vtp_supportDocumentWrite?b(h,k,e):a(A.body,Mb(h),k,e)()}else ap(function(){c(d)},
200)};X.__html=c;X.__html.h="html";X.__html.m=!0;X.__html.priorityOverride=0}();








var Js={};Js.macro=function(a){if(No.$d.hasOwnProperty(a))return No.$d[a]},Js.onHtmlSuccess=No.Tf(!0),Js.onHtmlFailure=No.Tf(!1);Js.dataLayer=ag;Js.callback=function(a){Sf.hasOwnProperty(a)&&va(Sf[a])&&Sf[a]();delete Sf[a]};Js.bootstrap=0;Js._spx=!1;function Ks(){Hf[Gf.M]=Js;Ua(Tf,X.g);Kc=Kc||No;Lc=Tc}
function Ls(){var a=!1;a&&ej("INIT");Bd().s();Hf=m.google_tag_manager=m.google_tag_manager||{};ol();
wh.enable_gbraid_cookie_write=!0;if(Hf[Gf.M]){var b=Hf.zones;b&&b.unregisterChild(Gf.M);}else{for(var c=data.resource||{},d=c.macros||[],e=0;e<d.length;e++)Dc.push(d[e]);for(var f=c.tags||[],h=0;h<f.length;h++)Gc.push(f[h]);for(var k=c.predicates||[],l=0;l<k.length;l++)Fc.push(k[l]);for(var n=c.rules||[],p=0;p<n.length;p++){for(var q=n[p],r={},u=
0;u<q.length;u++)r[q[u][0]]=Array.prototype.slice.call(q[u],1);Ec.push(r)}Ic=X;Jc=Tn;Ks();Mo();Pi=!1;Qi=0;if("interactive"==A.readyState&&!A.createEventObject||"complete"==A.readyState)Si();else{Ib(A,"DOMContentLoaded",Si);Ib(A,"readystatechange",Si);if(A.createEventObject&&A.documentElement.doScroll){var t=!0;try{t=!m.frameElement}catch(z){}t&&Ti()}Ib(m,"load",Si)}Ln=!1;"complete"===A.readyState?Nn():Ib(m,"load",Nn);bk&&m.setInterval(Vj,864E5);Qf=(new Date).getTime();if(a){var x=fj("INIT");}}}
(function(a){if(!m["__TAGGY_INSTALLED"]){var b=!1;if(A.referrer){var c=Be(A.referrer);b="cct.google"===ye(c,"host")}if(!b){var d=rg("googTaggyReferrer");b=d.length&&d[0].length}b&&(m["__TAGGY_INSTALLED"]=!0,Bb("https://cct.google/taggy/agent.js"))}var f=function(){var n=m["google.tagmanager.debugui2.queue"];n||(n=[],m["google.tagmanager.debugui2.queue"]=n,Bb("https://www.googletagmanager.com/debug/bootstrap"));var p={messageType:"CONTAINER_STARTING",data:{scriptSource:yb,containerProduct:"GTM",debug:!1}};p.data.resume=function(){a()};Gf.Lg&&(p.data.initialPublish=!0);n.push(p)},h="x"===ze(m.location,"query",!1,void 0,"gtm_debug");if(!h&&A.referrer){var k=Be(A.referrer);h="tagassistant.google.com"===ye(k,"host")}if(!h){var l=rg("__TAG_ASSISTANT");h=l.length&&l[0].length}m.__TAG_ASSISTANT_API&&(h=!0);h&&yb?f():a()})(Ls);

})()
